<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if (!class_exists('MILO_BiboCore_Admin')) {
	class MILO_BiboCore_Admin {

		private $prefix;

		private $version;

		public function __construct( $prefix, $version ) {
			$this->prefix  = $prefix;
			$this->version = $version;
		}

		/**
		 * Register the stylesheets for the admin area.
		 *
		 * @since    1.0.0
		 */
		public function enqueue_styles() {

            $pages = isset($_GET['page']) ? $_GET['page'] : '';
            if ($pages == '_options') return;

			wp_enqueue_style( $this->prefix.'-admin', plugins_url( PLUGIN_MILO_BIBO_CORE_NAME.'/admin/assets/css/admin.css'), array(), $this->version, 'all' );
			wp_enqueue_style( $this->prefix.'-select2', plugins_url( PLUGIN_MILO_BIBO_CORE_NAME.'/admin/assets/plugins/jquery.select2/select2.css'), array(), $this->version, 'all' );
			wp_enqueue_style( $this->prefix.'-datetimepicker', plugins_url( PLUGIN_MILO_BIBO_CORE_NAME.'/admin/assets/plugins/datetimepicker/jquery.datetimepicker.css'), array(), $this->version, 'all' );
		}

		/**
		 * Register the JavaScript for the admin area.
		 *
		 * @since    1.0.0
		 */
		public function enqueue_scripts() {
			wp_enqueue_script( $this->prefix .'-admin', plugins_url( PLUGIN_MILO_BIBO_CORE_NAME.'/admin/assets/js/admin.js'), array( 'jquery' ), $this->version, false );
			
            $screen = get_current_screen();
            if ( $screen->post_type != 'product' ) {
			     wp_enqueue_script( $this->prefix .'-select2', plugins_url( PLUGIN_MILO_BIBO_CORE_NAME.'/admin/assets/plugins/jquery.select2/select2.min.js'), array(), false, true );
            }
			
			wp_enqueue_script( $this->prefix .'-datetimepicker', plugins_url( PLUGIN_MILO_BIBO_CORE_NAME.'/admin/assets/plugins/datetimepicker/jquery.datetimepicker.js'), array( 'jquery' ), $this->version, false );

			wp_localize_script( $this->prefix .'admin' , 'milo_core_meta' , array(
				'ajax_url' => admin_url( 'admin-ajax.php?activate-multi=true' )
			) );
		}
	}
}