<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if (!function_exists('milo_maintenance_mode')) {
    function milo_maintenance_mode() {
        if (current_user_can( 'edit_themes' ) || is_user_logged_in()) {
            return;
        }

        if ( function_exists('milo_get_option') ) {
            $plugin_path        = untrailingslashit(plugin_dir_path(__FILE__));
            $enable_maintenance = ( NULL !== milo_get_option('enable_maintenance') ) ? milo_get_option('enable_maintenance') : 0;
            if ( $enable_maintenance == '1' ) {
                date_default_timezone_set(milo_get_option('timezone'));
                $current_time = date('Y/m/d H:i:s');
                $online_time  = milo_get_option('online_time');

                if ($online_time > $current_time) {
                    include( $plugin_path . '/templates/maintenance.php' );

                    exit();
                }
            }
        }
    }
    add_action( 'get_header', 'milo_maintenance_mode' );
}