<?php 
/**
 * @package    MiloTheme
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

$time_id = uniqid();

date_default_timezone_set(milo_get_option('timezone'));
$current_time           = date('Y/m/d H:i:s');
$online_time            = milo_get_option('online_time');
$time_to_reload         = strtotime($online_time) - strtotime($current_time);

$maintenance_background = milo_get_option('maintenance_background');
if ( $maintenance_background == '' ) {
    $maintenance_background = get_template_directory_uri() . '/framework/admin-assets/images/maintenance.jpg';
}

?>
<!DOCTYPE html>
<!-- Open HTML -->
<html <?php language_attributes(); ?>>
    <!-- Open Head -->
    <head>
        <?php 
            wp_head();
        ?>
        <meta charset="<?php bloginfo( 'charset' ); ?>"/>
        <?php
            $viewport_content = apply_filters('milo_viewport_content','width=device-width, initial-scale=1, maximum-scale=1');
        ?>
        <meta name="viewport" content="<?php echo esc_attr($viewport_content); ?>">
        <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) : ?>
            <?php if ( NULL !== milo_get_option('custom_favicon')['url'] && !empty(milo_get_option('custom_favicon')['url']) ) : ?>
                <link rel="shortcut icon" href="<?php echo esc_url(milo_get_option('custom_favicon')['url']); ?>" />
            <?php else : ?>
                <link rel="shortcut icon" href="<?php echo esc_url( get_template_directory_uri() . '/framework/admin-assets/images/theme-options/favicon.ico' ); ?>" />
            <?php endif; ?>
        <?php endif; ?>

        <link href="<?php echo get_template_directory_uri() . '/style.css'; ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo get_template_directory_uri(). '/assets/libraries/fonts-awesome/css/font-awesome.min.css'; ?>" rel="stylesheet" type="text/css" />
        <script src="<?php echo plugins_url(). '/milo-bibo-core/includes/shortcodes/countdown/assets/js/redcountdown/jquery.knob.min.js'; ?>"></script>
        <script src="<?php echo plugins_url(). '/milo-bibo-core/includes/shortcodes/countdown/assets/js/redcountdown/jquery.ba-throttle-debounce.min.js'; ?>"></script>
        <script src="<?php echo plugins_url(). '/milo-bibo-core/includes/shortcodes/countdown/assets/js/redcountdown/jquery.redcountdown.js'; ?>"></script>
    </head>
    <body style="background: url('<?php echo esc_url( $maintenance_background['url'] ); ?>');">
        <div class="milo-main">
            <div class="maintanence-page">
                <div class="container">
                    <div class="maintenance-title">
                        <h2><?php echo esc_html( milo_get_option('maintenance_title') ); ?></h2>
                    </div>
                    <div class="countdown-wrapper">
                        <div id="countdown-content-<?php echo $time_id;?>" class="countdown-content" data-date="<?php echo esc_html( $online_time );?>"></div>
                    </div>
                    <div class="maintenance-social">
                        <?php include( plugin_dir_path(__FILE__) . '/maintenance-social.php' ); ?>
                    </div>
                </div>
            </div>
        </div>
        <?php wp_footer(); ?>
    </body>
    <script type="text/javascript">
        !function($) {
            $(document).ready(function() {
                $('#countdown-content-<?php echo $time_id;?>').redCountdown({
                    end: $.now() + parseInt(<?php echo $time_to_reload; ?>),
                    labels: true,
                    style: {
                        element: "",
                        textResponsive: .5,
                        daysElement: {
                            gauge: {
                                thickness: .03,
                                bgColor: "rgba(0,0,0,0.05)",
                                fgColor: "#000000"
                            },
                            textCSS: 'font-family:\'Open Sans\'; font-size:25px; font-weight:300; color:#000;'
                        },
                        hoursElement: {
                            gauge: {
                                thickness: .03,
                                bgColor: "rgba(0,0,0,0.05)",
                                fgColor: "#000000"
                            },
                            textCSS: 'font-family:\'Open Sans\'; font-size:25px; font-weight:300; color:#000;'
                        },
                        minutesElement: {
                            gauge: {
                                thickness: .03,
                                bgColor: "rgba(0,0,0,0.05)",
                                fgColor: "#000000"
                            },
                            textCSS: 'font-family:\'Open Sans\'; font-size:25px; font-weight:300; color:#000;'
                        },
                        secondsElement: {
                            gauge: {
                                thickness: .03,
                                bgColor: "rgba(0,0,0,0.05)",
                                fgColor: "#000000"
                            },
                            textCSS: 'font-family:\'Open Sans\'; font-size:25px; font-weight:300; color:#000;'
                        }
                        
                    },
                    onEndCallback: function() {
                        console.log("Time out!");
                        window.location.reload(true);
                    }
                });
            });
        }(jQuery);
    </script>
</html>