<?php
/** 
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( !class_exists( 'Milo_Footer_Post_Type' ) ) {
    class Milo_Footer_Post_Type {
        protected $prefix;

        public function __construct(){
            $this->prefix = 'milo_footer';

            add_action('init', array($this, 'milo_footer'));
        }
        
        function milo_footer() {
            $labels = array(
                'menu_name'          => esc_html__( 'Footer Blocks', 'milo-bibo' ),
                'singular_name'      => esc_html__( 'Footer', 'milo-bibo' ),
                'name'               => esc_html__( 'All footer', 'milo-bibo' ),
                'add_new'            => esc_html__( 'Add New', 'milo-bibo' ) ,
                'add_new_item'       => esc_html__( 'Add New Footer', 'milo-bibo' ) ,
                'edit_item'          => esc_html__( 'Edit Footer', 'milo-bibo' ) ,
                'new_item'           => esc_html__( 'Add New Footer', 'milo-bibo' ) ,
                'view_item'          => esc_html__( 'View Footer', 'milo-bibo' ) ,
                'search_items'       => esc_html__( 'Search Footer', 'milo-bibo' ) ,
                'not_found'          => esc_html__( 'No Footer items found', 'milo-bibo' ) ,
                'not_found_in_trash' => esc_html__( 'No Footer items found in trash', 'milo-bibo' ) ,
                'parent_item_colon'  => ''
            );

            $args = array(
                'labels'                => $labels,
                'description'           => esc_html__( 'Display footer of site', 'milo-bibo' ),
                'supports'              => array( ),
                'hierarchical'          => false,
                'public'                => true,
                'show_ui'               => true,
                'show_in_menu'          => true,
                'menu_icon'             => 'dashicons-menu',
                'menu_position'         => 5,
                'show_in_admin_bar'     => true,
                'show_in_nav_menus'     => true,
                'can_export'            => true,
                'has_archive'           => true,
                'exclude_from_search'   => false,
                'publicly_queryable'    => false,
                'capability_type'       => 'page',
            );

            register_post_type( 'milo_footer', $args );
        }
    }

    new Milo_Footer_Post_Type;
}