<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( ! defined( 'ABSPATH' ) ) die( '-1' );

if ( ! class_exists('Milo_Framework_Shortcode_Banner_Slideshow') ) {
    class Milo_Framework_Shortcode_Banner_Slideshow {
        function __construct() {
            add_shortcode( 'milo_banner_slideshow', array($this, 'milo_banner_slideshow_shortcode') );
        }

        function milo_banner_slideshow_front_scripts() {
            wp_enqueue_style( 'owl-carousel', get_template_directory_uri() . '/assets/libraries/owl-carousel/assets/owl.carousel.min.css', array(),false );
            wp_enqueue_script( 'owl-carousel', get_template_directory_uri() . '/assets/libraries/owl-carousel/owl.carousel.min.js', false, true );
        }

        function milo_banner_slideshow_shortcode($atts) {
            $this->milo_banner_slideshow_front_scripts();

            $atts  = vc_map_get_attributes( 'milo_banner_slideshow', $atts );
            $images = $layout_type = $columns = $autoplay = $slide_duration = $el_class = $milo_animation = $css_animation = $duration = $delay = $styles_animation = '';
            extract(shortcode_atts(array(
                'images'         => '',
                'layout_type'    => 'carousel',
                'columns'        => '2',
                'autoplay'       => 'true',
                'slide_duration' => '6000',
                'el_class'       => '',
                'css_animation'  => '',
                'duration'       => '',
                'delay'          => '',
            ), $atts));
	           
            $milo_animation   .= ' ' . esc_attr($el_class);
            $milo_animation   .= MILO_BiboCore_Shortcodes::milo_get_css_animation($css_animation);
            $styles_animation = MILO_BiboCore_Shortcodes::milo_get_style_animation($duration, $delay);

            ob_start();
            
            $plugin_path = untrailingslashit(plugin_dir_path(__FILE__));

            switch ($layout_type) {
                case 'carousel':
                    $template_path = $plugin_path . '/templates/carousel.php';
                    break;
                default:
                    $template_path = $plugin_path . '/templates/carousel.php';
            }

            ?>
            <?php if( $images != '' ) : ?>
            <div class="<?php echo esc_attr($milo_animation . ' ' . $styles_animation); ?>">
                <?php include($template_path); ?>
            </div>
            <?php else : ?>
                <div class="images-not-select"><?php echo esc_html__( 'Please select images!', 'milo-bibo' ); ?></div>
            <?php endif; ?>
        <?php
            $content =  ob_get_clean();
            return $content;         
        }
    }

    new Milo_Framework_Shortcode_Banner_Slideshow();
}
?>