<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/
$images      = (array)vc_param_group_parse_atts( $images );
$image_class = 'image-col-'.$columns;

?>
<div class="banner-slideshow-shortcode-wrapper <?php echo $layout_type; ?>">
    <div class="milo-carousel images-list owl-carousel owl-theme"
        data-items="<?php echo esc_attr($columns); ?>"
        data-margin="0"
        data-autoplay="<?php echo esc_attr($autoplay); ?>"
        data-slide-duration="<?php echo esc_attr($slide_duration); ?>"
    >
        <?php foreach( $images as $image ) : 
            $image_src = wp_get_attachment_url($image['image']);
            $link = '';
            if ( isset($image['link']) ) {
                $link = vc_build_link( $image['link'] );
            }
            // var_dump($link);
        ?>
        <!-- <div class="image-item <?php echo $image_class; ?>"> -->
            <div class="slide-item">
                <img src="<?php echo esc_url($image_src); ?>" alt="<?php echo $image['title']; ?>">
                <div class="banner-content">
                    <h6 class="sub-title"><?php echo esc_html( $image['sub_title'] ); ?></h6>
                    <h1 class="banner-title"><?php echo esc_html( $image['title'] ); ?></h1>
                    <p class="banner-description"><?php echo esc_html( $image['description'] ); ?></p>
                    <?php if ( $link != '' ) : ?>
                    <a href="<?php echo esc_url($link['url']); ?>" class="banner-button" target="<?php echo esc_attr( ($link['target'] != '') ? $link['target'] : '_blank' ); ?>">
                        <?php echo esc_html__( 'Shop Now', 'milo-bibo' ); ?>
                    </a>
                    <?php endif; ?>
                </div>
            </div>
        <!-- </div> -->
        <?php endforeach; ?>
    </div>
</div>