<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( ! defined( 'ABSPATH' ) ) die( '-1' );

if ( ! class_exists('Milo_Framework_Shortcode_Banner') ) {
    class Milo_Framework_Shortcode_Banner {
        function __construct() {
            add_shortcode( 'milo_banner', array($this, 'milo_banner_shortcode') );
        }

        function milo_banner_front_scripts() {

        }

        function milo_banner_shortcode($atts) {
            $this->milo_banner_front_scripts();

            $atts        = vc_map_get_attributes( 'milo_banner', $atts );
            $layout_type = $title = $sub_title = $description = $shadow = $shadow_type = $background_color = $horizontal_align = $vertical_align = $text_color_title = $text_color_sub_title = $text_color_button = $link = $image = $image_position = $title_position_vertical = $title_position_horizontal = $title_bg_color = $label
                        = $icon_class = $right_angle = $css = $el_class = $milo_animation = $css_animation = $duration = $delay = $styles_animation = '';
            extract(shortcode_atts(array(
                'layout_type'               => 'style_1',
                'title'                     => '', 
                'sub_title'                 => '', // Style 4
                'button_text'               => '', // Style 4
                'shadow'                    => '', // Style 1, 3
                'shadow_type'               => '', // Style 1
                'background_color'          => '', // Style 3
                'description'               => '', // Style 3
                'horizontal_align'          => '', // Style 4
                'vertical_align'            => '', // Style 4
                'text_color_title'          => '', // Style 4
                'text_color_sub_title'      => '', // Style 4
                'text_color_button'         => '', // Style 4
                'link'                      => '',
                'image'                     => '',
                'image_position'            => '',
                'label'                     => '',
                'title_position_vertical'   => 'title_top',
                'title_position_horizontal' => 'title_left',
                'icon_class'                => '', // Style 6
                'right_angle'               => '', // Style 7
                'css'                       => '',
                'el_class'                  => '',
                'css_animation'             => '',
                'duration'                  => '',
                'delay'                     => '',
                'bg_lable_color'            => '',
                'price'                     => '',
                'title_align'               => '',
                'title_hover_bg_color'      => '',
                'title_size'                => '',
            ), $atts)); 
            
            $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), 'milo_banner', $atts );

            $milo_animation   .= '';
            $milo_animation   .= MILO_BiboCore_Shortcodes::milo_get_css_animation($css_animation);
            $styles_animation = MILO_BiboCore_Shortcodes::milo_get_style_animation($duration, $delay);
            $url              = vc_build_link( $link );

            ob_start();
            
            $plugin_path = untrailingslashit(plugin_dir_path(__FILE__));

            switch ($layout_type) {
                case 'style_1':
                    $template_path = $plugin_path . '/templates/style_1.php';
                    break;
                case 'style_2':
                    $template_path = $plugin_path . '/templates/style_2.php';
                    break;
                case 'style_3':
                    $template_path = $plugin_path . '/templates/style_3.php';
                    break;
                case 'style_4':
                    $template_path = $plugin_path . '/templates/style_4.php';
                    break;
                case 'style_5':
                    $template_path = $plugin_path . '/templates/style_5.php';
                    break;
                case 'style_6':
                    $template_path = $plugin_path . '/templates/style_6.php';
                    break;
                case 'style_7':
                    $template_path = $plugin_path . '/templates/style_7.php';
                    break;
                case 'style_8':
                    $template_path = $plugin_path . '/templates/style_8.php';
                    break;
                default:
                    $template_path = $plugin_path . '/templates/style_1.php';
            }

            ?>
            <?php if ( $image != '' || in_array( $layout_type, array('style_3', 'style_5', 'style_6', 'style_7') ) ) : ?>
            <div class="<?php echo esc_attr($css_class . ' ' . $milo_animation . ' ' . $styles_animation); ?>">
                <?php include($template_path); ?>
            </div>
            <?php else : ?>
                <div class="banner-not-select"><?php echo esc_html__( 'Please select image for banner!', 'milo-bibo' ); ?></div>
            <?php endif; ?>
        <?php
            $content =  ob_get_clean();
            return $content;         
        }
    }

    new Milo_Framework_Shortcode_Banner();
}