<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( ! defined( 'ABSPATH' ) ) die( '-1' );

if ( ! class_exists('Milo_Framework_Shortcode_Countdown') ) {
    class Milo_Framework_Shortcode_Countdown {
        function __construct() {
            add_shortcode( 'milo_countdown', array($this, 'milo_countdown_shortcode') );
        }

        function milo_countdown_front_scripts() {
            wp_enqueue_script( 'milo-countdown-number', plugins_url() . '/milo-bibo-core/includes/shortcodes/countdown/assets/js/jquery.countdown.js', false, true );
            // Red Countdown
            wp_enqueue_script( 'milo-countdown-knob', plugins_url() . '/milo-bibo-core/includes/shortcodes/countdown/assets/js/redcountdown/jquery.knob.min.js', false, true );
            wp_enqueue_script( 'milo-countdown-debounce', plugins_url() . '/milo-bibo-core/includes/shortcodes/countdown/assets/js/redcountdown/jquery.ba-throttle-debounce.min.js', false, true );
            wp_enqueue_script( 'milo-countdown-circle', plugins_url() . '/milo-bibo-core/includes/shortcodes/countdown/assets/js/redcountdown/jquery.redcountdown.js', false, true );
        }

        function milo_countdown_shortcode($atts) {
            $this->milo_countdown_front_scripts();

            $atts        = vc_map_get_attributes( 'milo_countdown', $atts );
            $layout_type =  $datetime = $el_class = $milo_animation = $css_animation = $duration = $delay = $styles_animation = '';
            extract(shortcode_atts(array(
                'layout_type'   => '',
                'datetime'      => '',
                'el_class'      => '',
                'css_animation' => '',
                'duration'      => '',
                'delay'         => '',
            ), $atts));
	           
            $milo_animation   .= ' ' . esc_attr($el_class);
            $milo_animation   .= MILO_BiboCore_Shortcodes::milo_get_css_animation($css_animation);
            $styles_animation = MILO_BiboCore_Shortcodes::milo_get_style_animation($duration, $delay);

            ob_start();
            
            $plugin_path = untrailingslashit(plugin_dir_path(__FILE__));

            switch ($layout_type) {
                case 'number':
                    $template_path = $plugin_path . '/templates/number.php';
                    break;
                case 'number_2':
                    $template_path = $plugin_path . '/templates/number_2.php';
                    break;
                case 'circle':
                    $template_path = $plugin_path . '/templates/circle.php';
                    break;
                default:
                    $template_path = $plugin_path . '/templates/number.php';
            }

            ?>
            <?php if( $datetime != '' ) : ?>
            <div class="<?php echo esc_attr($milo_animation . ' ' . $styles_animation); ?>">
                <?php include($template_path); ?>
            </div>
            <?php else : ?>
                <div class="datetime-not-select"><?php echo esc_html__( 'Please select datetime!', 'milo-bibo' ); ?></div>
            <?php endif; ?>
        <?php
            $content = ob_get_clean();
            return $content;         
        }
    }

    new Milo_Framework_Shortcode_Countdown();
}