<?php
/**
 * @package    MiloTheme
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

?>
<div class="counter-shortcode-wrapper <?php echo $layout_type; ?>">
  <div class="gr-counter gr-animated">
    <div class="content-inner">
      <div data-from="0" data-to="<?php echo esc_attr($number); ?>" class="gr-number-counter">
        <?php echo esc_attr($number); ?>
      </div>
      <div class="gr-text-default"><?php echo esc_html($title); ?></div>
    </div>
  </div>
</div>
<script type="text/javascript">
  jQuery(document).ready(function () {
    /* --------------------------------------------------------------------- */
    /* TEXT ON A CIRCLE
     /* --------------------------------------------------------------------- */
    (function ($) {
      if (!$(".gr-text-circle").length) return;

      $('.gr-text-circle').each(function () {
        var letter = $(this).find("li");
        var degree = 0;

        letter.each(function () {
            $(this).css("transform", "translate(-50%, 0) rotate(" + degree + "deg)");
            degree += 7;
        });
      });
    })(jQuery);


    /* --------------------------------------------------------------------- */
    /* APPEAR
     /* --------------------------------------------------------------------- */
    (function ($) {
      if (!$(".gr-animated").length) return;

      $(".gr-animated").appear();

      $(document.body).on("appear", ".gr-animated", function () {
        $(this).addClass("go");
      });

      $(document.body).on("disappear", ".gr-animated", function () {
        $(this).removeClass("go");
      });
    })(jQuery);


    /* --------------------------------------------------------------------- */
    /* COUNTER
     /* --------------------------------------------------------------------- */
    (function ($) {
      if (!$(".gr-number-counter").length) return;
      $(".gr-number-counter").appear(); // require jquery-appear
      $('body').on("appear", ".gr-number-counter", function () {
        var counter = $(this);
        if (!counter.hasClass("count-complete")) {
          counter.countTo({
            speed: 1500,
            refreshInterval: 100,
            onComplete: function () {
              counter.addClass("count-complete");
            }
          });
        }
      });
      $('body').on("disappear", ".gr-number-counter", function () {
        $(this).removeClass("count-complete");
      });
    })(jQuery);
  })
</script>