<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( ! defined( 'ABSPATH' ) ) die( '-1' );

if ( ! class_exists('Milo_Framework_Shortcode_Decoration') ) {
    class Milo_Framework_Shortcode_Decoration {
        function __construct() {
            add_shortcode( 'milo_decoration', array($this, 'milo_decoration_shortcode') );
        }

        function milo_decoration_front_scripts() {
            
        }

        function milo_decoration_shortcode($atts) {
            $this->milo_decoration_front_scripts();

            $atts  = vc_map_get_attributes( 'milo_decoration', $atts );
            $layout_type = $width = $height = $css = $el_class = $milo_animation = $css_animation = $duration = $delay =  '';
            extract(shortcode_atts(array(
                'layout_type'      => '',
                'width'            => '300px',
                'height'           => '400px',
                'css'              => '',
                'el_class'         => '',
                'css_animation'    => '',
                'duration'         => '',
                'delay'            => '',
            ), $atts));
	        
            $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), 'milo_decoration', $atts );

            $milo_animation   .= ' ' . esc_attr($el_class);
            $milo_animation   .= MILO_BiboCore_Shortcodes::milo_get_css_animation($css_animation);
            $styles_animation = MILO_BiboCore_Shortcodes::milo_get_style_animation($duration, $delay);

            ob_start();
            
            $plugin_path = untrailingslashit(plugin_dir_path(__FILE__));

            switch ($layout_type) {
                case 'circle':
                    $template_path = $plugin_path . '/templates/circle.php';
                    break;
                case 'rectangle':
                    $template_path = $plugin_path . '/templates/rectangle.php';
                    break;
                case 'line':
                    $template_path = $plugin_path . '/templates/line.php';
                    break;
                default:
                    $template_path = $plugin_path . '/templates/line.php';
            }

            ?>
            <?php if( $layout_type != '' ) : ?>
            <div class="<?php echo esc_attr($css_class . ' ' . $milo_animation . ' ' . $styles_animation); ?>">
                <?php include($template_path); ?>
            </div>
            <?php else : ?>
                <div class="decoration-not-select"><?php echo esc_html__( 'Please select Decoration!', 'milo-bibo' ); ?></div>
            <?php endif; ?>
        <?php
            $content =  ob_get_clean();
            return $content;         
        }
    }

    new Milo_Framework_Shortcode_Decoration();
}
?>