<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2017, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( ! defined( 'ABSPATH' ) ) die( '-1' );

if ( ! class_exists('Milo_Framework_Shortcode_Footer_Contact') ) {
    class Milo_Framework_Shortcode_Footer_Contact {
        function __construct() {
            add_shortcode( 'milo_footer_contact', array($this, 'milo_footer_contact_shortcode') );
        }

        function milo_footer_contact_front_scripts() {

        }

        function milo_footer_contact_shortcode($atts) {
            $this->milo_footer_contact_front_scripts();

            $atts  = vc_map_get_attributes( 'milo_footer_contact', $atts );
            $contacts = $layout_type = $css = $el_class = $milo_animation = $css_animation = $duration = $delay = $styles_animation = '';
            extract(shortcode_atts(array(
                'contacts'      => '',
                'layout_type'   => 'style_1',
                'css'           => '',
                'el_class'      => '',
                'css_animation' => '',
                'duration'      => '',
                'delay'         => '',
            ), $atts));
           
            $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), 'milo_footer_contact', $atts );
            
            $milo_animation   .= '';
            $milo_animation   .= MILO_BiboCore_Shortcodes::milo_get_css_animation($css_animation);
            $styles_animation = MILO_BiboCore_Shortcodes::milo_get_style_animation($duration, $delay);

            ob_start();
            
            $plugin_path = untrailingslashit( plugin_dir_path(__FILE__) );

            switch ($layout_type) {
                case 'style_1':
                    $template_path = $plugin_path . '/templates/layout/style_1.php';
                    break;
                default:
                    $template_path = $plugin_path . '/templates/layout/style_1.php';
            }

            ?>
            <?php if ( $contacts != '' ) : ?>
            <div class="<?php echo esc_attr($css_class . ' ' . $milo_animation . ' ' . $styles_animation); ?>">
                <?php include($template_path); ?>
            </div>
            <?php else : ?>
                <div class="footer-not-select"><?php echo esc_html__( 'Please insert Footer Contact information!', 'milo-bibo' ); ?></div>
            <?php endif; ?>
        <?php
            $content =  ob_get_clean();
            return $content;         
        }
    }

    new Milo_Framework_Shortcode_Footer_Contact();
}
?>