<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

$mapid = 'milo-gmaps-' . uniqid();
$light_map_custom = htmlentities( rawurldecode( base64_decode( $light_map_custom ) ), ENT_COMPAT, 'UTF-8' );

?>
<div class="gmaps-shortcode-wrapper <?php echo $layout_type; ?>">
    <div class="frame-map-show">
        <div id="<?php echo esc_attr($mapid);?>" class="milo-map" 
        data-api="<?php echo $api_key; ?>" 
        data-layout_type="<?php echo esc_attr($layout_type); ?>" 
        data-light_map="<?php echo ($light_map != 'custom') ? esc_attr($styles_map[$light_map]) : $light_map_custom; ?>" 
        data-info_title="<?php echo esc_attr($info_title); ?>" 
        data-info_image="<?php echo esc_url(wp_get_attachment_url( $info_image )); ?>" 
        data-lat="<?php echo esc_attr($lat); ?>" 
        data-lng="<?php echo esc_attr($lng); ?>" 
        data-zoom="<?php echo esc_attr($zoom); ?>" 
        data-image="<?php echo esc_url(wp_get_attachment_url( $image )); ?>" 
        data-expand_map="<?php echo esc_attr($expand_map); ?>"
        style="height: <?php echo esc_attr($height);?>">
            
        </div>
    </div>
</div>
<script type="text/javascript">
    jQuery(document).ready(function($){
        $('.gmaps-shortcode-wrapper .frame-map-show .milo-map').each(function (index, Element) {
            var map;
            var mapid       = $(this).attr('id');
            var api_key     = $(this).data('api');
            var layout_type = $(this).data('layout_type');
            var light_map   = $(this).data('light_map');
            var info_title  = $(this).data('info_title');
            var info_image  = $(this).data('info_image');
            var lat         = $(this).data('lat');
            var lng         = $(this).data('lng');
            var zoom        = $(this).data('zoom');
            var imageurl    = $(this).data('image');
            var expand_map  = $(this).data('expand_map');

            var latlng = new google.maps.LatLng(lat,lng);
            map = new google.maps.Map(document.getElementById(mapid), {
                center: latlng,
                mapTypeId: google.maps.MapTypeId.ROADMAP,
                zoom: zoom,
                scrollwheel: false,
                styles: light_map
            });

            // Map marker
            var marker = new google.maps.Marker({
                position: latlng,
                map: map,
                // animation:google.maps.Animation.DROP,
                icon: imageurl
            });

            // Infor Window
            var info_window =   '<div class="map-info">'+
                                    '<div class="info-image">'+
                                        '<img src="'+ info_image +'" alt="">'+
                                    '</div>'+
                                    '<div class="info-address">'+
                                        '<p>'+
                                            info_title +
                                        '</p>'+
                                    '</div>'+
                                '</div>';

            var infowindow = new google.maps.InfoWindow({
                content: info_window
            });

            // Set center infowindow
            setTimeout(function() {
                google.maps.event.trigger(marker, 'click')
            }, 2000);
            
            if ( info_window != '') {
                infowindow.open(map, marker);
                marker.addListener('click', function() {
                    infowindow.open(map, marker);
                    map.setCenter(marker.getPosition()); // Set center infowindow
                });
            }

            // Responsive
            google.maps.event.addDomListener(window, 'resize', function() {
                var center = map.getCenter();
                google.maps.event.trigger(map, "resize");
                map.setCenter(center); 
            });
        });
    });
</script>