<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( ! defined( 'ABSPATH' ) ) die( '-1' );

if ( ! class_exists('Milo_Framework_Shortcode_Portfolio') ) {
    class Milo_Framework_Shortcode_Portfolio {
        function __construct() {
            add_shortcode( 'milo_portfolio', array( $this, 'milo_portfolio_shortcode' ) );
            add_filter( 'single_template', array( $this, 'get_portfolio_single_template') ); // Load custom template: https://codex.wordpress.org/Plugin_API/Filter_Reference/single_template

            $this->includes();
        }

        function portfolio_front_scripts() {
            wp_enqueue_style( 'milo-ladda-css', plugins_url() . '/milo-bibo-core/includes/shortcodes/posttypes/portfolio/assets/js/ladda/dist/ladda-themeless.min.css', array(), false );
            wp_enqueue_script( 'milo-isotope-packery-mode', plugins_url() . '/milo-bibo-core/includes/shortcodes/posttypes/portfolio/assets/js/packery-mode.pkgd.min.js', false, true );
            wp_enqueue_script( 'milo-ladda-spin', plugins_url() . '/milo-bibo-core/includes/shortcodes/posttypes/portfolio/assets/js/ladda/dist/spin.min.js', false, true );
            wp_enqueue_script( 'milo-ladda', plugins_url() . '/milo-bibo-core/includes/shortcodes/posttypes/portfolio/assets/js/ladda/dist/ladda.min.js', false, true );
            wp_enqueue_script( 'milo-hoverdir', plugins_url() . '/milo-bibo-core/includes/shortcodes/posttypes/portfolio/assets/js/hoverdir/jquery.hoverdir.min.js', false, true );
            wp_enqueue_script( 'milo-portfolio-ajax-action', plugins_url() . '/milo-bibo-core/includes/shortcodes/posttypes/portfolio/assets/js/ajax-action.js', false, true );
        }

        private function includes() {
            include_once( 'utils/ajax-action.php' );
            include_once( 'utils/image-resize.php' );
        }

        function milo_portfolio_shortcode($atts) {
            $this->portfolio_front_scripts();

            $portfolio_thumbnail = $portfolio_title = $overlay_style = $overlay_effect = $hover_dir = $column = $data_source = $category = $portfolio_ids = $portfolio_tag = $show_filter = $filter_by = $show_pagging = $item = $order = $padding = $image_size
              = $current_page = $data_section_id = $el_class = $milo_animation = $css_animation = $duration = $delay = $styles_animation = '';
            extract(shortcode_atts(array(
                'portfolio_thumbnail' => 'default',
                'portfolio_title'     => '',
                'column'              => '4',
                'overlay_style'       => 'icon',
                'overlay_effect'      => 'effect_1',
                'hover_dir'           => 'on',
                'data_source'         => '',
                'category'            => '',
                'portfolio_ids'       => '',
                'portfolio_tag'       => '',
                'show_filter'         => '',
                'filter_by'           => 'tag',
                'show_pagging'        => '',
                'item'                => '4',// number of item
                'order'               => 'DESC',
                'padding'             => '',
                'image_size'          => '',
                'el_class'            => '',
                'css_animation'       => '',
                'duration'            => '',
                'delay'               => '',               
                'current_page'        => '1',
                'data_section_id'     => ''
            ), $atts));
            if ( $item == '' ) {
                $offset        = 0;
                $post_per_page = -1;
            } else {
                $post_per_page = $item;
                $offset        = ($current_page - 1) * $item;
            }
            $overlay_align = 'hover-align-center';

            $milo_animation   .= ' ' . esc_attr($el_class);
            $milo_animation   .= MILO_BiboCore_Shortcodes::milo_get_css_animation($css_animation);
            $styles_animation = MILO_BiboCore_Shortcodes::milo_get_style_animation($duration, $delay);

            $plugin_path = untrailingslashit(plugin_dir_path(__FILE__));

            switch ($portfolio_thumbnail) {
                case 'squared':
                    $template_path = $plugin_path . '/templates/portfolio-squared.php';
                    break;
                case 'landscape':
                    $template_path = $plugin_path . '/templates/portfolio-landscape.php';
                    break;
                case 'portrait':
                    $template_path = $plugin_path . '/templates/portfolio-portrait.php';
                    break;
                case 'packery':
                    $template_path = $plugin_path . '/templates/portfolio-packery.php';
                    break;
                case 'masonry':
                    $template_path = $plugin_path . '/templates/portfolio-masonry.php';
                    break;
                default:
                    $template_path = $plugin_path . '/templates/portfolio-default.php';
            }
            ob_start();

            include($template_path);
            $ret = ob_get_contents();

            ob_end_clean();
            return $ret;
        }

        function get_portfolio_single_template( $single ) {
            global $post;
            /* Checks for single template by post type */
            if ($post->post_type == 'milo_portfolio') {
                $plugin_path   = untrailingslashit( plugin_dir_path(__FILE__) );
                $template_path = $plugin_path . '/templates/single/single-portfolio.php';
                if ( file_exists( $template_path ) ) {
                    return $template_path;
                }
            }

            return $single;
        }

    }

    new Milo_Framework_Shortcode_Portfolio();
}