<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( $show_filter != '' ) {
  $termIds = array();
  $portfolio_terms = get_terms('portfolio_category');
  if ($category != '') {
    $slugSelected = explode(',', $category);
    foreach ( $portfolio_terms as $term ) {
      if ( in_array($term->slug, $slugSelected) ) {
        $termIds[$term->term_id] = $term->term_id;
      }
    }
  }
  $array_terms = array(
    'include' => $termIds
  );
  $terms = get_terms('portfolio_category', $array_terms);

  if (count($terms) > 0) {
    $index = 1;
    ?>
    <div class="tab-wrapper line-height-1 <?php echo esc_attr($show_filter) ?>">
      <ul>
        <li class="active">
          <a  class="isotope-portfolio bibo-button active"
              data-section-id    ="<?php echo esc_attr($data_section_id) ?>"
              data-category      =""
              data-overlay-style ="<?php echo esc_attr($overlay_style) ?>"
              data-source        ="<?php echo esc_attr($data_source) ?>"
              data-portfolio-ids ="<?php echo esc_attr($portfolio_ids) ?>"
              data-group         ="all" 
              data-filter        ="*"
              data-thumbnail     ="<?php echo esc_attr($portfolio_thumbnail); ?>"
              data-tag           ="<?php echo esc_attr($portfolio_tag); ?>"
              data-offset        ="<?php echo esc_attr($offset) ?>"
              data-post-per-page ="<?php echo esc_attr($post_per_page) ?>"
              data-order         ="<?php echo esc_attr($order) ?>"
              data-column        ="<?php echo esc_attr($column) ?>"
              data-show-paging   ="<?php echo esc_attr($show_pagging) ?>"
              href               ="javascript:;">
              <?php echo esc_html__('All', 'milo-bibo'); ?>
          </a>
        </li>
        <?php foreach ($terms as $term) : ?>
        <li class="<?php if ($index == count($terms)) { echo "last"; } ?>">
          <a  class="isotope-portfolio bibo-button"
              href               ="javascript:;" 
              data-section-id    ="<?php echo esc_attr($data_section_id) ?>"
              data-category      ="<?php echo esc_attr($term->slug) ?>"
              data-overlay-style ="<?php echo esc_attr($overlay_style) ?>"
              data-source        ="<?php echo esc_attr($data_source) ?>"
              data-portfolio-ids ="<?php echo esc_attr($portfolio_ids) ?>"
              data-group         ="<?php echo preg_replace('/\s+/', '', $term->slug) ?>"
              data-filter        =".<?php echo esc_attr($term->slug) ?>"
              data-thumbnail     ="<?php echo esc_attr($portfolio_thumbnail); ?>"
              data-tag           ="<?php echo esc_attr($portfolio_tag); ?>"
              data-offset        ="<?php echo esc_attr($offset) ?>"
              data-post-per-page ="<?php echo esc_attr($post_per_page) ?>"
              data-order         ="<?php echo esc_attr($order) ?>"
              data-column        ="<?php echo esc_attr($column) ?>"
              data-show-paging   ="<?php echo esc_attr($show_pagging) ?>">
              <?php echo wp_kses_post($term->name); ?>
          </a>
        </li>
        <?php endforeach; ?>
      </ul>
    </div>
  <?php
  }
}
?>