<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( ! defined( 'ABSPATH' ) ) die( '-1' );

if ( ! class_exists('Milo_Framework_Shortcode_Teammember') ) {
    class Milo_Framework_Shortcode_Teammember {
        function __construct() {
            add_shortcode('milo_teammember', array($this, 'milo_teammember_shortcode' ));
        }

        function milo_teammember_front_scripts() {
            wp_enqueue_style( 'milo-owl-carousel', get_template_directory_uri() . '/assets/libraries/owl-carousel/assets/owl.carousel.min.css', array(), false );
            wp_enqueue_script( 'milo-owl-carousel', get_template_directory_uri() . '/assets/libraries/owl-carousel/owl.carousel.min.js', false, true );
        }

        function milo_teammember_shortcode($atts) {
            $this->milo_teammember_front_scripts();

            $layout_type = $data_source = $category = $member_ids = $member_per_slide = $order  = $autoplay  = $slide_duration = $el_class 
                = $milo_animation = $css_animation = $duration = $delay = $styles_animation = '';
            extract(shortcode_atts(array(
                'layout_type'      => 'carousel',
                'data_source'      => '',
                'category'         => '',
                'member_ids'       => '',
                'member_per_slide' => '3',
                'order'            => 'DESC',
                'autoplay'         => 'true',
                'slide_duration'   => '3000',
                'el_class'         => '',
                'css_animation'    => '',
                'duration'         => '',
                'delay'            => '',
            ), $atts));

            $milo_animation   .= ' ' . esc_attr($el_class);
            $milo_animation   .= MILO_BiboCore_Shortcodes::milo_get_css_animation($css_animation);
            $styles_animation = MILO_BiboCore_Shortcodes::milo_get_style_animation($duration, $delay);

            $args = array(
                'orderby'        => 'post__in',
                'post__in'       => explode(",", $member_ids),
                'posts_per_page' => -1, // Unlimited member
                'post_type'      => 'milo_teammember',
                'post_status'    => 'publish');

            if ($data_source == '') {
                $args = array(
                    'posts_per_page' => -1, // Unlimited member
                    'orderby'        => 'post_date',
                    'order'          => $order,
                    'post_type'      => 'milo_teammember',
                    'post_status'    => 'publish',
                    'tax_query'      => array(
                        array(
                            'taxonomy' => 'team_category',
                            'field'    => 'slug',
                            'terms'    => explode(',', $category),
                        )
                    )
                );
            }
            ob_start();

            $teammembers = new WP_Query($args);

            $plugin_path = untrailingslashit(plugin_dir_path(__FILE__));

            switch ($layout_type) {
                case 'carousel':
                    $template_path = $plugin_path . '/templates/carousel.php';
                    break;
                default:
                    $template_path = $plugin_path . '/templates/carousel.php';
            }
        ?>  
        <?php if( $teammembers->have_posts() ) : ?>
            <div class="<?php echo esc_attr($milo_animation . ' ' . $styles_animation); ?>">
                <?php include($template_path); ?>
            </div>  
        <?php else : ?>
            <div class="item-not-found"><?php echo esc_html__( 'No item found', 'milo-bibo' ) ?></div>
        <?php endif; ?>
        <?php
            $content =  ob_get_clean();
            return $content;
        }
    }

    new Milo_Framework_Shortcode_Teammember();
}