<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/
$team_id = uniqid();

?>
<div class="teammember-shortcode-wrapper <?php echo $layout_type; ?>">
    <div id="teammember-list-<?php echo $team_id; ?>" class="teammembers teammember-list owl-carousel owl-theme">
        <?php while( $teammembers->have_posts() ) : $teammembers->the_post(); ?>
        <?php if( !empty(milo_get_post_meta( get_the_ID(), 'milo_teammember_url' )) ) : ?>
            <a href="<?php echo esc_url(milo_get_post_meta( get_the_ID(), 'milo_teammember_url', true ));?>" title="<?php the_title(); ?>">
        <?php endif; ?>
            <div class="teammember-item">
                <div class="teammember-content">
                    <div class="teammember-image">
                        <?php the_post_thumbnail('full')?>
                        <div class="teammember-socials">
                        <?php 
                        // var_dump(milo_get_post_meta( get_the_ID(), 'milo_teammember_facebook', true));die; 
                        ?>
                            <?php if ( !empty(milo_get_post_meta( get_the_ID(), 'milo_teammember_facebook' )) ) : ?>
                                <div class="social-item">
                                    <a href="<?php echo esc_url(milo_get_post_meta( get_the_ID(), 'milo_teammember_facebook', true )); ?>"><i class="fa fa-facebook"></i></a>
                                </div>
                            <?php endif; ?>
                            <?php if ( !empty(milo_get_post_meta( get_the_ID(), 'milo_teammember_twitter' )) ) : ?>
                                <div class="social-item">
                                    <a href="<?php echo esc_url(milo_get_post_meta( get_the_ID(), 'milo_teammember_twitter', true )); ?>"><i class="fa fa-twitter"></i></a>
                                </div>
                            <?php endif; ?>
                            <?php if ( !empty(milo_get_post_meta( get_the_ID(), 'milo_teammember_instagram' )) ) : ?>
                                <div class="social-item">
                                    <a href="<?php echo esc_url(milo_get_post_meta( get_the_ID(), 'milo_teammember_instagram', true )); ?>"><i class="fa fa-instagram"></i></a>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="teammember-meta">
                        <h6 class="teammember-title"><?php the_title(); ?></h6>
                        <?php if( !empty(milo_get_post_meta( get_the_ID(), 'milo_teammember_position' )) ) : ?>
                        <p class="teammember-position"><?php echo milo_get_post_meta( get_the_ID(), 'milo_teammember_position', true ); ?></p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        <?php if( !empty(milo_get_post_meta( get_the_ID(), 'milo_teammember_url' )) ) : ?>
            </a>
        <?php endif; ?>
        <?php endwhile; ?>
    </div>
    <div id="teammember-control-<?php echo $team_id; ?>" class="teammember-control">
        <div class="teammember-nav nav_prev"><i class="fa fa-angle-left"></i></div>
        <div class="teammember-nav nav_next"><i class="fa fa-angle-right"></i></div>
    </div>
</div>
<script>
    jQuery(document).ready(function($) {
        var owl = $('#teammember-list-<?php echo $team_id; ?>');
        owl.owlCarousel({
            items : <?php echo $member_per_slide; ?>,
            margin: 30,
            loop: true,
            center: false,
            mouseDrag: true,
            touchDrag: true,
            pullDrag: true,
            freeDrag: false,
            stagePadding: 0,
            merge: false,
            mergeFit: true,
            autoWidth: false,
            startPosition: 0,
            URLhashListener: false,
            nav: false,
            navText: ['next','prev'],
            rewind: true,
            navElement: 'div',
            slideBy: 1,
            dots: true,
            dotsEach: false,
            lazyLoad: false,
            lazyContent: false,

            autoplay: <?php echo $autoplay; ?>,
            autoplayTimeout: <?php echo $slide_duration; ?>,
            autoplayHoverPause: true,
            
            smartSpeed: 250,
            fluidSpeed: false,
            autoplaySpeed: false,
            navSpeed: false,
            dotsSpeed: false,
            dragEndSpeed: false,
            responsive: {
                0: {
                    items: 1
                },
                500: {
                    items: 2
                },
                991: {
                    items: <?php echo $member_per_slide; ?>
                },
                1200: {
                    items: <?php echo $member_per_slide; ?>
                },
                1300: {
                    items: <?php echo $member_per_slide; ?>
                }
            },
            responsiveRefreshRate: 200,
            responsiveBaseElement: window,
            video: false,
            videoHeight: false,
            videoWidth: false,
            animateOut: false,
            animateIn: false,
            fallbackEasing: 'swing',

            info: false,

            nestedItemSelector: false,
            itemElement: 'div',
            stageElement: 'div',

            navContainer: false,
            dotsContainer: false
        });
        // Custom Navigation Events
        $('#teammember-control-<?php echo $team_id; ?>').find(".nav_next").click(function() {
            owl.trigger('next.owl.carousel');
        });
        $('#teammember-control-<?php echo $team_id; ?>').find(".nav_prev").click(function() {
            owl.trigger('prev.owl.carousel');
        });
    });
</script>