<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

$testimonial_id = uniqid();
?>
<div class="testimonial-shortcode-wrapper <?php echo $layout_type; ?>">
    <i class="fa fa-quote-left"></i>
    <ul id="testimonial-list-<?php echo $testimonial_id; ?>" class="testimonials testimonial-list owl-carousel owl-theme">
        <?php while( $testimonials->have_posts() ) : $testimonials->the_post(); ?>
        <li class="testimonial-item">
            <div class="testimonial-content"><?php echo ($excerpt_length != '') ? milo_limit_words(get_the_excerpt(), $excerpt_length) : get_the_excerpt(); ?> </div>
            <h3 class="testimonial-title"><?php the_title(); ?></h3>
            <?php if( !empty(milo_get_post_meta( get_the_ID(), 'milo_testimonial_position' )) ) : ?>
            <p class="testimonial-position"><?php echo milo_get_post_meta( get_the_ID(), 'milo_testimonial_position' )['0']; ?></p>
            <?php endif; ?>
            <?php if( !empty(milo_get_post_meta( get_the_ID(), 'milo_testimonial_special' )) ) : ?>
            <p class="testimonial-special"><?php echo milo_get_post_meta( get_the_ID(), 'milo_testimonial_special' )['0']; ?></p>
            <?php endif; ?>
        </li>
        <?php endwhile; ?>
    </ul>
    <div id="testimonial-control-<?php echo $testimonial_id; ?>" class="testimonial-control">
        <div class="testimonial-nav nav_prev"><i class="fa fa-chevron-left"></i></div>
        <div class="testimonial-nav nav_next"><i class="fa fa-chevron-right"></i></div>
    </div>
</div>
<script>
    jQuery(document).ready(function($) {
        var owl = $('#testimonial-list-<?php echo $testimonial_id; ?>');
        owl.owlCarousel({
            items : 1,
            margin: 0,
            loop: true,
            center: false,
            mouseDrag: true,
            touchDrag: true,
            pullDrag: true,
            freeDrag: false,
            stagePadding: 0,
            merge: false,
            mergeFit: true,
            autoWidth: false,
            startPosition: 0,
            URLhashListener: false,
            nav: false,
            navText: ['next','prev'],
            rewind: true,
            navElement: 'div',
            slideBy: 1,
            dots: true,
            dotsEach: false,
            lazyLoad: false,
            lazyContent: false,

            autoplay: <?php echo $autoplay; ?>,
            autoplayTimeout: <?php echo $slide_duration; ?>,
            autoplayHoverPause: true,
            
            smartSpeed: 250,
            fluidSpeed: false,
            autoplaySpeed: false,
            navSpeed: false,
            dotsSpeed: false,
            dragEndSpeed: false,
            responsive: {
                0: {
                    items: 1
                },
                500: {
                    items: 1
                },
                991: {
                    items: 1
                },
                1200: {
                    items: 1
                },
                1300: {
                    items: 1
                }
            },
            responsiveRefreshRate: 200,
            responsiveBaseElement: window,
            video: false,
            videoHeight: false,
            videoWidth: false,
            animateOut: false,
            animateIn: false,
            fallbackEasing: 'swing',

            info: false,

            nestedItemSelector: false,
            itemElement: 'div',
            stageElement: 'div',

            navContainer: false,
            dotsContainer: false
        });
        // Custom Navigation Events
        $('#testimonial-control-<?php echo $testimonial_id; ?>').find(".nav_next").click(function(){
            owl.trigger('next.owl.carousel');
        });
        $('#testimonial-control-<?php echo $testimonial_id; ?>').find(".nav_prev").click(function(){
            owl.trigger('prev.owl.carousel');
        });
    });
</script>