<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/
?>
<div class="testimonial-shortcode-wrapper <?php echo $layout_type; ?>">
    <div class="sp-slides">
        <?php while( $testimonials->have_posts() ) : $testimonials->the_post(); ?>
        <div class="sp-slide">
            <div class="testimonial-content"><?php echo ($excerpt_length != '') ? milo_limit_words(get_the_excerpt(), $excerpt_length) : get_the_excerpt(); ?> <hr> </div>
            <div class="testimonial-info">
                <?php the_post_thumbnail(); ?>
                <div class="testimonial-meta">
                    <h3><?php the_title(); ?></h3>
                    <?php if( !empty( milo_get_post_meta( get_the_ID(), 'milo_testimonial_position' ) ) ) : ?>
                        <p><?php echo milo_get_post_meta( get_the_ID(), 'milo_testimonial_position' )['0']; ?></p>
                    <?php endif; ?>

                    <?php if( !empty( milo_get_post_meta( get_the_ID(), 'milo_testimonial_special' ) ) ) : ?>
                    <p><?php echo milo_get_post_meta( get_the_ID(), 'milo_testimonial_special' )['0']; ?></p>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <?php endwhile; ?>
    </div>

    <div class="sp-thumbnails">
        <?php while( $testimonials->have_posts() ) : $testimonials->the_post(); ?>
        <?php 
            $thumbnail_url  = wp_get_attachment_url( get_post_thumbnail_id(get_the_ID()) ); 
            $background_id  = milo_get_post_meta( get_the_ID(), 'milo_testimonial_background' )['0'];
            $background_url = wp_get_attachment_url( $background_id );
        ?>
        <div class="sp-thumbnail-outter sp-thumbnail">
            <div class="sp-thumbnail-inner" style="background:url('<?php echo esc_url($background_url); ?>');">
                <div class="testimonial-info">
                    <?php the_post_thumbnail(); ?>
                    <div class="testimonial-meta">
                        <h3><?php the_title(); ?></h3>
                        <?php if( !empty( milo_get_post_meta( get_the_ID(), 'milo_testimonial_position' ) ) ) : ?>
                        <p><?php echo milo_get_post_meta( get_the_ID(), 'milo_testimonial_position' )['0']; ?></p>
                        <?php endif; ?>
                        <?php if( !empty( milo_get_post_meta( get_the_ID(), 'milo_testimonial_special' ) ) ) : ?>
                        <p><?php echo milo_get_post_meta( get_the_ID(), 'milo_testimonial_special' )['0']; ?></p>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="testimonial-overlay">
                    <i class="fa fa-quote-left"></i>
                </div>
            </div>
        </div>
        <?php endwhile; ?>
    </div>
    <div class="testimonial-control">
        <div class="nav_prev"><i class="fa fa-chevron-left"></i></div>
        <div class="nav_next"><i class="fa fa-chevron-right"></i></div>
    </div>
</div>
<script>
    jQuery( document ).ready(function( $ ) {
        $( '.testimonial-shortcode-wrapper.slider_pro' ).sliderPro({
            width: 600,
            height: 510,
            orientation: 'horizontal',
            autoplay: <?php echo $autoplay; ?>,
            slideAnimationDuration: <?php echo $slide_duration; ?>,
            loop: true,
            arrows: false,
            buttons: false,
            thumbnailsPosition: 'right',
            thumbnailPointer: true,
            thumbnailWidth: 600,
            thumbnailHeight: 170,
            breakpoints: {
                800: {
                    thumbnailsPosition: 'bottom',
                    thumbnailWidth: 270,
                    thumbnailHeight: 100
                },
                500: {
                    thumbnailsPosition: 'bottom',
                    thumbnailWidth: 120,
                    thumbnailHeight: 50
                }
            }
        });
        // Custom Navigation Events
        $('.testimonial-control').find(".nav_next").click(function(){
            $( '.testimonial-shortcode-wrapper.slider_pro' ).sliderPro( 'nextSlide' );
        });
         $('.testimonial-control').find(".nav_prev").click(function(){
            $( '.testimonial-shortcode-wrapper.slider_pro' ).sliderPro( 'previousSlide' );
        });
    });
</script>