<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/
?>
<div class="testimonial-shortcode-wrapper <?php echo $layout_type; ?>">
    <div class="sp-slides">
        <?php while( $testimonials->have_posts() ) : $testimonials->the_post(); ?>
        <?php 
            $thumbnail_url  = wp_get_attachment_url( get_post_thumbnail_id(get_the_ID()) ); 
            $background_id  = milo_get_post_meta( get_the_ID(), 'milo_testimonial_background' )['0'];
            $background_url = wp_get_attachment_url( $background_id );
        ?>
        <div class="sp-slide">
            <div class="testimonial-top" style="background:url('<?php echo $background_url; ?>');">
                <!-- <i class="fa fa-quote-left"></i> -->
                <div class="testimonial-top-overlay">
                    <div class="testimonial-top-content row">
                        <div class="testimonial-image col-md-6 col-sm-12 col-xs-12">
                            <?php the_post_thumbnail(); ?>
                        </div>
                        <div class="testimonial-content col-md-6 col-sm-12 col-xs-12">
                            <div class="testimonial-content"><?php echo ($excerpt_length != '') ? milo_limit_words(get_the_excerpt(), $excerpt_length) : get_the_excerpt(); ?></div>
                            <div class="testimonial-meta">
                                <h3><?php the_title(); ?></h3>
                                <?php if( !empty( milo_get_post_meta( get_the_ID(), 'milo_testimonial_position' ) ) ) : ?>
                                <span><?php echo milo_get_post_meta( get_the_ID(), 'milo_testimonial_position' )['0']; ?></span>
                                <?php endif; ?>
                                <?php if( !empty( milo_get_post_meta( get_the_ID(), 'milo_testimonial_special' ) ) ) : ?>
                                <span><?php echo milo_get_post_meta( get_the_ID(), 'milo_testimonial_special' )['0']; ?></span>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php endwhile; ?>
    </div>

    <div class="rowssss">
        <div class="col-md-6 col-sm-12 col-xs-12"></div>
        <div class="sp-thumbnails">
            <?php while( $testimonials->have_posts() ) : $testimonials->the_post(); ?>
            <?php 
                $thumbnail_url  = wp_get_attachment_url( get_post_thumbnail_id(get_the_ID()) ); 
                $background_id  = milo_get_post_meta( get_the_ID(), 'milo_testimonial_background' )['0'];
                $background_url = wp_get_attachment_url( $background_id );
            ?>
            <div class="sp-thumbnail" style="background:url('<?php echo $background_url; ?>');">
                <div class="testimonial-thumbnail">
                    <?php the_post_thumbnail(); ?>
                    <div class="testimonial-overlay">
                        <i class="fa fa-quote-left"></i>
                    </div>
                </div> 
            </div>
            <?php endwhile; ?>
        </div>
    </div>
    <div class="testimonial-control">
        <div class="testimonial-nav nav_prev"><i class="fa fa-chevron-left"></i></div>
        <div class="testimonial-nav nav_next"><i class="fa fa-chevron-right"></i></div>
    </div>
</div>
<script>
    jQuery( document ).ready(function( $ ) {
        $( '.testimonial-shortcode-wrapper.slider_pro_2' ).sliderPro({
            width: '100%',
            height: 500,
            // orientation: 'horizontal',
            autoplay: <?php echo $autoplay; ?>,
            slideAnimationDuration: <?php echo $slide_duration; ?>,
            fade: true,
            fadeDuration: 500,
            loop: true,
            arrows: false,
            buttons: false,
            // thumbnailsPosition: 'right',
            thumbnailPointer: true,
            thumbnailWidth: 75,
            thumbnailHeight: 100,
            breakpoints: {
                800: {
                    thumbnailsPosition: 'bottom',
                    thumbnailWidth: 75,
                    thumbnailHeight: 75
                },
                500: {
                    thumbnailsPosition: 'bottom',
                    thumbnailWidth: 75,
                    thumbnailHeight: 75
                }
            }
        });
        // Custom Navigation Events
        $('.testimonial-control').find(".nav_next").click(function(){
            $( '.testimonial-shortcode-wrapper.slider_pro' ).sliderPro( 'nextSlide' );
        });
         $('.testimonial-control').find(".nav_prev").click(function(){
            $( '.testimonial-shortcode-wrapper.slider_pro' ).sliderPro( 'previousSlide' );
        });
    });
</script>