<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( ! defined( 'ABSPATH' ) ) die( '-1' );

if ( ! class_exists('Milo_Framework_Shortcode_Testimonial') ) {
    class Milo_Framework_Shortcode_Testimonial {
        function __construct() {
            add_shortcode( 'milo_testimonial', array( $this, 'milo_testimonial_shortcode' ) );
        }

        function milo_testimonial_front_scripts() {
            wp_enqueue_style( 'milo-slider-pro', plugins_url() . '/milo-bibo-core/includes/shortcodes/posttypes/testimonial/assets/css/slider-pro.min.css', array(), false );
            wp_enqueue_style( 'milo-owl-carousel', get_template_directory_uri() . '/assets/libraries/owl-carousel/assets/owl.carousel.min.css', array(), false );
            wp_enqueue_script( 'milo-slider-pro', plugins_url() . '/milo-bibo-core/includes/shortcodes/posttypes/testimonial/assets/js/jquery.sliderPro.min.js', false, true );
            wp_enqueue_script( 'milo-owl-carousel', get_template_directory_uri() . '/assets/libraries/owl-carousel/owl.carousel.min.js', false, true );
        }

        function milo_testimonial_shortcode($atts) {
            $this->milo_testimonial_front_scripts();

            $layout_type = $data_source = $category = $testimonial_ids = $order = $autoplay = $slide_duration = $el_class = $milo_animation = $css_animation = $duration = $delay = $styles_animation = '';
            extract(shortcode_atts(array(
                'layout_type'     => 'carousel',
                'data_source'     => '',
                'category'        => '',
                'testimonial_ids' => '',
                'order'           => 'DESC',
                'autoplay'        => 'true',
                'slide_duration'  => '3000',
                'el_class'        => '',
                'css_animation'   => '',
                'duration'        => '',
                'delay'           => '',
                'excerpt_length'  => '',
            ), $atts));

            $milo_animation   .= ' ' . esc_attr($el_class);
            $milo_animation   .= MILO_BiboCore_Shortcodes::milo_get_css_animation($css_animation);
            $styles_animation = MILO_BiboCore_Shortcodes::milo_get_style_animation($duration, $delay);

            $args = array(
                'orderby'        => 'post__in',
                'post__in'       => explode(",", $testimonial_ids),
                'posts_per_page' => -1, // Unlimited testimonial
                'post_type'      => 'milo_testimonial',
                'post_status'    => 'publish');

            if ($data_source == '') {
                $args = array(
                    'posts_per_page'       => -1, // Unlimited testimonial
                    'orderby'              => 'post_date',
                    'order'                => $order,
                    'post_type'            => 'milo_testimonial',
                    'post_status'          => 'publish',
                    'tax_query'      => array(
                        array(
                            'taxonomy' => 'testimonial_category',
                            'field'    => 'slug',
                            'terms'    => explode(',', $category),
                        )
                    )
                );
            }
            ob_start();

            $testimonials = new WP_Query($args);

            $plugin_path = untrailingslashit(plugin_dir_path(__FILE__));

            switch ($layout_type) {
                case 'carousel':
                    $template_path = $plugin_path . '/templates/carousel.php';
                    break;
                case 'carousel_2':
                    $template_path = $plugin_path . '/templates/carousel_2.php';
                    break;
                case 'slider_pro':
                    $template_path = $plugin_path . '/templates/slider_pro.php';
                    break;
                case 'slider_pro_2':
                    $template_path = $plugin_path . '/templates/slider_pro_2.php';
                    break;
                default:
                    $template_path = $plugin_path . '/templates/slider_pro.php';
            }
        ?>  
        <?php if( $testimonials->have_posts() ) : ?>
            <div class="<?php echo esc_attr($milo_animation . ' ' . $styles_animation); ?>">
                <?php include($template_path); ?>
            </div>  
        <?php else : ?>
            <div class="item-not-found"><?php echo esc_html__( 'No item found', 'milo-bibo' ) ?></div>
        <?php endif; ?>
        <?php
            $content =  ob_get_clean();
            return $content;
        }
    }

    new Milo_Framework_Shortcode_Testimonial();
}