<?php
/**
 *  
 * @package    MiloTheme
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/
if ( ! defined( 'ABSPATH' ) ) die( '-1' );

if ( ! class_exists('Milo_Framework_Shortcode_Products_Creative_Masonry') ) {
    class Milo_Framework_Shortcode_Products_Creative_Masonry {

        public function __construct() {
            add_shortcode( 'milo_products_creative_masonry', array($this, 'milo_products_creative_masonry_shortcode' ));
        }

        function milo_products_creative_masonry_shortcode($atts) {
            $atts  = vc_map_get_attributes( 'milo_products_creative_masonry', $atts );

            extract(shortcode_atts(array(
                'product_slugs'      => '',
                'product_img_width'  => '300',
                'product_img_height' => '300',
                'columns'            => '4',
                'product_width'      => '',
                'product_style'      => 'style_1',
                'action_tooltip'     => '',
                'action_disable'     => '',
                'css_animation'      => '',
                'duration'           => '',
                'delay'              => '',
                'el_class'           => '',
            ), $atts));

            $class                  = array('shortcode-product-wrap');
            $class[]                = 'creative clearfix';
            $class[]                = $el_class;
            $class[]                = MILO_BiboCore_Shortcodes::milo_get_css_animation($css_animation);
            $class_name             = join(' ',$class);
            
            $product_wrap_class     = array('product-wrap', 'clearfix');
            $product_class          = array('product-inner','clearfix');
            $list_ids = array();
            if ( $product_slugs ) {
                $list_slug = explode( ',', $product_slugs );
                foreach ( $list_slug as $key => $val ) {
                    $id_tmp     = get_posts( array( 'name' => $val, 'post_type' => 'product' ) );
                    $list_ids[] = $id_tmp[0]->ID;
                }
            }
            // Get products
            $args = array(
                'post_type'             => 'product',
                'post_status'           => 'publish',
                'orderby'               => 'post__in',
                'post__in'              => $list_ids,
            );

            ob_start();

            $products = new WP_Query($args);
            $plugin_path = untrailingslashit(plugin_dir_path(__FILE__));
            $template_path = $plugin_path . '/templates/layout/default.php';

            switch ($product_style) {
                case 'style_1':
                    $product_path = $plugin_path . '/templates/product-style/creative_style_1.php';
                    break;
                case 'style_2':
                    $product_path = $plugin_path . '/templates/product-style/creative_style_2.php';
                    break;

                default:
                    $product_path = $plugin_path . '/templates/product-style/creative_style_1.php';
            }

            ?>

            <?php if ($products->have_posts()) : ?>
                <div class="<?php echo esc_attr($class_name) ?>" <?php echo MILO_BiboCore_Shortcodes::milo_get_style_animation($duration,$delay); ?>>
                    <?php include($template_path); ?>
                </div>
            <?php else : ?>
                <div class="item-not-found"><?php echo esc_html__( 'No item found', 'milo-bibo' ) ?></div>
            <?php endif; ?>

            <?php
            wp_reset_query();
            
            $content =  ob_get_clean();
            
            return $content;
        }
    }

    $products_creative = new Milo_Framework_Shortcode_Products_Creative_Masonry();
}