<?php
/**
 *  
 * @package    MiloTheme
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

global $milo_options, $product;

$classes                = array();
$classes[]              = 'product-item-wrap';
$action_disable_array   = explode(',', $action_disable);
$product_button_tooltip = $milo_options['product_button_tooltip'];
$image_width            = 600;
$image_height           = 600;

if ( ($product_button_tooltip == "1" && $action_tooltip == 'true') || ($action_tooltip == 'true') ) {
    $classes[] = 'button-has-tooltip';
} else {
    $classes[] = 'button-no-tooltip';
}

$post_attachment_id__    = has_post_thumbnail() ?  get_post_thumbnail_id(): 0;
$milo_img_resize         = matthewruddy_image_resize_id($post_attachment_id__, $image_width, $image_height);

$milo_product_width      = '';
$ratio_width             = $image_width;
$ratio_height            = $image_height;
$classes['ratio_height'] = 'milo_product_y1';
foreach ( $style_each_pr_2 as $key => $val ) {
    if ( $val[0] == $order_product ) {
        $ratio              = explode('x', $val[1]);
        $milo_product_width = 'milo_product_x'.(int)$ratio[0];
        $classes['ratio_height']          = 'milo_product_y'.(int)$ratio[1];
        $ratio_width        = $image_width*(int)$ratio[0];
        if ( $ratio[0] == 2 ) {
            $ratio_width    = $image_width*(int)$ratio[0];
        }
        $ratio_height       = $image_height*(float)$ratio[1];

        if ( $ratio[1] == 2 ) {
            $ratio_height   = $image_height*(float)$ratio[1];
        }
        $milo_img_resize             = matthewruddy_image_resize_id($post_attachment_id__, $ratio_width, $ratio_height);
    }
}

$classes[] = $milo_product_width;
$classes[] = 'milo-columns-' . $columns;

?>
<div <?php post_class( $classes ); ?>>

    <div class="product-item-inner">
        <div class="product-thumb">
            <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <img class="attachment-shop_catalog wp-post-image" width="<?php echo esc_attr($ratio_width) ?>px" height="<?php echo esc_attr($ratio_height) ?>px" alt="" src="<?php echo esc_url($milo_img_resize) ?>">
            </a>
            <div class="product-actions">
                <?php
                /**
                 * milo_woocommerce_product_action hook
                 *
                 * @hooked milo_woocomerce_template_loop_wishlist - 5
                 * @hooked milo_woocomerce_template_loop_compare - 10
                 * @hooked woocommerce_template_loop_add_to_cart - 20
                 * @hooked milo_woocomerce_template_loop_quick_view - 25
                 */
                // Disable action button by remove action
                foreach($action_disable_array as $key=>$value ) {
                    switch($value) {
                        case 'wishlist': 
                            remove_action( 'milo_woocommerce_product_actions', 'milo_woocomerce_template_loop_wishlist', 5 );
                            break;
                        case 'compare': 
                            remove_action( 'milo_woocommerce_product_actions', 'milo_woocomerce_template_loop_compare', 10 );
                            break;
                        case 'addtocart': 
                            remove_action( 'milo_woocommerce_product_actions', 'woocommerce_template_loop_add_to_cart', 20 );
                            break;
                        case 'quickview': 
                            remove_action( 'milo_woocommerce_product_actions', 'milo_woocomerce_template_loop_quick_view', 25 );
                            break;
                        default:
                            break;
                    }
                }
                do_action( 'milo_woocommerce_product_actions' );
                // Return to default action
                add_action( 'milo_woocommerce_product_actions', 'milo_woocomerce_template_loop_wishlist', 5 );
                add_action( 'milo_woocommerce_product_actions', 'milo_woocomerce_template_loop_compare', 10 );
                add_action( 'milo_woocommerce_product_actions', 'woocommerce_template_loop_add_to_cart', 20 );
                add_action( 'milo_woocommerce_product_actions', 'milo_woocomerce_template_loop_quick_view', 25 );

                ?>
            </div>
        </div>

        <div class="product-info">
            <?php
            /**
             * woocommerce_after_shop_loop_item_title hook
             *
             * @hooked woocommerce_template_loop_rating - 5
             * @hooked woocommerce_template_loop_price - 10
             * @hooked woocommerce_template_loop_product_title - 15
             */
            do_action( 'woocommerce_after_shop_loop_item_title' );
            ?>
        </div>
    </div>
</div>