<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( ! defined( 'ABSPATH' ) ) die( '-1' );

if ( ! class_exists('Milo_Framework_Shortcode_Products_In_Category_Tabs') ) {
    class Milo_Framework_Shortcode_Products_In_Category_Tabs {
        function __construct() {
            add_shortcode('milo_products_in_category_tabs', array($this, 'milo_products_in_category_tabs_shortcode' ));

            $this->includes();
        }

        function milo_products_in_category_tabs_front_scripts() {
            wp_enqueue_style('milo-owl-carousel', get_template_directory_uri() . '/assets/libraries/owl-carousel/assets/owl.carousel.min.css', array(),false);
            wp_enqueue_script('milo-owl-carousel', get_template_directory_uri() . '/assets/libraries/owl-carousel/owl.carousel.min.js', false, true);
        }

        private function includes() {
            include_once( 'utils/ajax-action.php' );
        }

        function milo_products_in_category_tabs_shortcode($atts) {
            $this->milo_products_in_category_tabs_front_scripts();

            $product_cats = $per_page = $columns = $product_type = $show_general_tab  = $layout_type = $show_nav = $auto_play = $slide_duration = $el_class = $milo_animation = $css_animation = $duration = $delay = $styles_animation = '';
            extract(shortcode_atts(array(
                'product_cats'     => '',
                'per_page'         => 6,
                'columns'          => 4,
                'product_type'     => 'recent',
                'show_general_tab' => 'show_general_tab',
                'layout_type'      => 'grid',
                'show_nav'         => 1,
                'auto_play'        => 1,
                'slide_duration'   => '5000',
                'el_class'         => '',
                'css_animation'    => '',
                'duration'         => '',
                'delay'            => '',
            ), $atts));

            $milo_animation   .= ' ' . esc_attr($el_class);
            $milo_animation   .= MILO_BiboCore_Shortcodes::milo_get_css_animation($css_animation);
            $styles_animation = MILO_BiboCore_Shortcodes::milo_get_style_animation($duration, $delay);

            if ( !class_exists('WooCommerce') ) {
                return;
            }
            
            $atts = compact('product_cats', 'per_page', 'columns', 'product_type'
                            ,'show_general_tab', 'layout_type', 'rows', 'show_nav', 'auto_play', 'slide_duration');
            
            $classes   = array();
            $classes[] = 'products-in-category-tabs-wrapper';
            $classes[] = $product_type;
            $classes[] = $layout_type;

            $rand_id  = 'milo-product-in-category-tabs-'.rand();
            $selector = '#'.$rand_id;

            $args = array(
                'post_type'           => 'product',
                'post_status'         => 'publish',
                'ignore_sticky_posts' => 1,
                'meta_query'          => array(
                    array(
                        'key'     => '_visibility',
                        'value'   => array('catalog', 'visible'),
                        'compare' => 'IN'
                    )
                )
            );

            $products = new WP_Query( $args );

            ob_start();

            $plugin_path = untrailingslashit(plugin_dir_path(__FILE__));

            switch ($layout_type) {
                case 'grid':
                    $template_path = $plugin_path . '/templates/grid.php';
                    break;
                case 'slider':
                    $template_path = $plugin_path . '/templates/slider.php';
                    break;
                default:
                    $template_path = $plugin_path . '/templates/grid.php';
            }
        ?>  
        <?php if( $products->have_posts() ) : ?>
            <div class="<?php echo esc_attr($milo_animation . ' ' . $styles_animation); ?>">
                <?php include($template_path); ?>
            </div>
        <?php else : ?>
            <div class="item-not-found"><?php echo esc_html__( 'No item found', 'milo-bibo' ) ?></div>
        <?php endif; ?>
        <?php
            $content =  ob_get_clean();

            return $content;
        }
    }

    new Milo_Framework_Shortcode_Products_In_Category_Tabs();
}