<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

add_action( 'wp_ajax_milo_get_product_content_in_category_tab', 'milo_get_product_content_in_category_tab' );
add_action( 'wp_ajax_nopriv_milo_get_product_content_in_category_tab', 'milo_get_product_content_in_category_tab' );

if( !function_exists('milo_get_product_content_in_category_tab') ) {
	function milo_get_product_content_in_category_tab( $atts ) {
		if( empty($_POST['atts']) || empty($_POST['product_cat']) ) {
			die('0');
		}
		$atts        = $_POST['atts'];
		$product_cat = $_POST['product_cat'];
		$is_all_tab  = (isset($_POST['is_all_tab']) && $_POST['is_all_tab']) ? true : false;

		ob_start();
		extract($atts);

		$args = array(
			'post_type'           => 'product',
			'post_status'         => 'publish',
			'ignore_sticky_posts' => 1,
			'posts_per_page'      => $per_page,
			'orderby'             => 'date',
			'order'               => 'desc',
			'meta_query'          => array(
				array(
					'key'     => '_visibility',
					'value'   => array('catalog', 'visible'),
					'compare' => 'IN'
				)
			)
		);			
		
		$args['tax_query'] = array(
								array(
									'taxonomy' => 'product_cat',
									'terms'    => array_map('sanitize_title', explode(',', $product_cat)),
									'field'    => 'slug',
									'operator' => 'IN'
								)
							);
		
		$products = new WP_Query( $args );

		if ( $product_type == 'top_rated' ) {
			remove_filter('posts_clauses', array(WC()->query, 'order_by_rating_post_clauses'));
		}
		
		$milo_woocommerce_loop['columns'] = $columns;

		// Add class if layout_type is carousel
		$slider_class = '';
		if ( $atts['layout_type'] == 'slider' ) {
			$slider_class = ' owl-carousel owl-theme';
		}

		echo '<ul class="products columns-'. $atts['columns'] . $slider_class .' clearfix ">';

		if ( $products->have_posts() ) {	
			if ( isset($products->found_posts, $products->post_count) && $products->found_posts == $products->post_count ) {
				// echo '<div class="hidden hide-see-more"></div>';
			}
			while( $products->have_posts() ) { 
				$products->the_post();
				wc_get_template_part( 'content','product' );
				// echo "222222";
			}
		}

		echo '</ul>';

		wp_reset_postdata();
		
		die(ob_get_clean());
	}
}