<?php
/**
 * @package    MiloTheme
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( ! defined( 'ABSPATH' ) ) die( '-1' );

if ( ! class_exists('Milo_Framework_Shortcode_Products_Category') ) {
    class Milo_Framework_Shortcode_Products_Category {
        function __construct() {
            add_shortcode( 'milo_products_category', array( $this, 'milo_products_category_shortcode' ) );
        }

        function milo_products_category_front_scripts() {

        }

        function milo_products_category_shortcode($atts) {
            $this->milo_products_category_front_scripts();
            global $woocommerce;

            $atts  = vc_map_get_attributes( 'milo_products_category', $atts );
            $layout_type = $columns = $category = $el_class = $css_animation = $duration = $delay = $milo_animation = $styles_animation = '';
            extract(shortcode_atts(array(
                'layout_type'        => 'grid',
                'columns'            => 2,
                'category'           => '',
                'el_class'           => '',
                'css_animation'      => '',
                'duration'           => '',
                'delay'              => '',
            ), $atts));

            $milo_animation    = '';
            $milo_animation   .= MILO_BiboCore_Shortcodes::milo_get_css_animation($css_animation);
            $styles_animation = MILO_BiboCore_Shortcodes::milo_get_style_animation($duration, $delay);

            ob_start();

            $plugin_path   = untrailingslashit(plugin_dir_path(__FILE__));
            
            // Layout type
            switch ($layout_type) {
                case 'grid':
                    $template_path = $plugin_path . '/templates/layout/category.php';
                    break;
                default:
                    $template_path = $plugin_path . '/templates/layout/category.php';
            }

            ?>

            <?php if ( $category != '' ) : ?>
                <div class="<?php echo esc_attr($milo_animation . ' ' . $styles_animation); ?>">
                    <?php include($template_path); ?>
                </div>
            <?php else : ?>
                <div class="item-not-found"><?php echo esc_html__( 'No item found', 'milo-bibo' ) ?></div>
            <?php endif; ?>

            <?php
            wp_reset_query();
            
            $content =  ob_get_clean();
            
            return $content;
        }
    }

    new Milo_Framework_Shortcode_Products_Category();
}