<?php
/**
 * @package    MiloTheme
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

$slider_id = uniqid();

?>
<div class="products-slider-shortcode-wrapper <?php echo $layout_type ?>">
    <div id="products-slider-<?php echo $slider_id; ?>">
        <ul class="products owl-carousel owl-theme">
        <?php while ( $products->have_posts() ) : $products->the_post(); ?>
            <?php wc_get_template_part( 'content', 'product' ); ?>
        <?php endwhile; // end of the loop. ?>
        </ul>
    </div>
    <div id="products-slider-control-<?php echo $slider_id; ?>" class="products-slider-control">
	    <div class="products-nav nav-prev"><i class="fa fa-angle-left"></i></div>
	    <div class="products-nav nav-next"><i class="fa fa-angle-right"></i></div>
  	</div>
</div>
<script>
    jQuery(document).ready(function($) {
        var owl = $('#products-slider-<?php echo $slider_id; ?> .products');
        owl.owlCarousel({
            items : <?php echo $products_per_slide; ?>,
            margin: 30,
            loop: true,
            center: false,
            mouseDrag: true,
            touchDrag: true,
            pullDrag: true,
            freeDrag: false,
            stagePadding: 0,
            merge: false,
            mergeFit: true,
            autoWidth: false,

            startPosition: 0,
            URLhashListener: false,
            nav: false,
            navText: ['next','prev'],
            rewind: true,
            navElement: 'div',
            slideBy: 1,
            dots: true,
            dotsEach: false,
            lazyLoad: false,
            lazyContent: false,

            autoplay: <?php echo $autoplay; ?>,
            autoplayTimeout: <?php echo $slide_duration; ?>,
            autoplayHoverPause: true,
            smartSpeed: 250,
            fluidSpeed: false,
            autoplaySpeed: false,
            navSpeed: false,
            dotsSpeed: false,
            dragEndSpeed: false,
            responsive: {
                0: {
                    items: 1
                },
                500: {
                    items:  <?php if($products_per_slide >= 2) echo '2';  else echo $products_per_slide; ?>
                },
                991: {
                    items: <?php if($products_per_slide >= 3) echo '3';  else echo $products_per_slide; ?>
                },
                1200: {
                    items: <?php if($products_per_slide >= 4) echo '4'; else echo $products_per_slide; ?>
                },
                1300: {
                    items: <?php echo $products_per_slide; ?>
                }
            },
            responsiveRefreshRate: 200,
            responsiveBaseElement: window,
            video: false,
            videoHeight: false,
            videoWidth: false,
            animateOut: false,
            animateIn: false,
            fallbackEasing: 'swing',

            info: false,

            nestedItemSelector: false,
            itemElement: 'div',
            stageElement: 'div',

            navContainer: false,
            dotsContainer: false
        });
        // Custom Navigation Events
        $('#products-slider-control-<?php echo $slider_id; ?>').find('.nav-next').click(function() {
            owl.trigger('next.owl.carousel');
        });
        $('#products-slider-control-<?php echo $slider_id; ?>').find('.nav-prev').click(function() {
            owl.trigger('prev.owl.carousel');
        });
    });
</script>