<?php
/**
 * @package    MiloTheme
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( ! defined( 'ABSPATH' ) ) die( '-1' );

if ( ! class_exists('Milo_Framework_Shortcode_Recent_News') ) {
    class Milo_Framework_Shortcode_Recent_News {
        function __construct() {
            add_shortcode( 'milo_recent_news', array( $this, 'milo_recent_news_shortcode' ));
        }

        function milo_recent_news_front_scripts() {
            wp_enqueue_style( 'milo-slick', plugins_url() . '/milo-bibo-core/includes/shortcodes/recent-news/assets/css/slick.css', array(),false );
            wp_enqueue_style( 'milo-owl-carousel', get_template_directory_uri() . '/assets/libraries/owl-carousel/assets/owl.carousel.min.css', array(),false );
            wp_enqueue_script( 'milo-slick', plugins_url() . '/milo-bibo-core/includes/shortcodes/recent-news/assets/js/slick.min.js', false, true );
            wp_enqueue_script( 'milo-owl-carousel', get_template_directory_uri() . '/assets/libraries/owl-carousel/owl.carousel.min.js', false, true );
        }

        function milo_recent_news_shortcode($atts) {
            $this->milo_recent_news_front_scripts();

            $layout_type = $data_source = $category = $post_ids = $columns = $autoplay = $slide_duration = $excerpt_length = $posts_per_page = $orderby = $order
             = $el_class = $milo_animation = $css_animation = $duration = $delay = $styles_animation = '';
            extract(shortcode_atts(array( 
                'layout_type'    => 'style_1',
                'data_source'    => '',
                'category'       => '',
                'post_ids'       => '',
                'columns'        => '1 ',
                'autoplay'       => 'true',
                'slide_duration' => '6000',
                'excerpt_length' => '30',
                'posts_per_page' => '',
                'orderby'        => 'date',
                'order'          => 'DESC',
                'el_class'       => '',
                'css_animation'  => '',
                'duration'       => '',
                'delay'          => '',
            ), $atts));

            $milo_animation   .= ' ' . esc_attr($el_class);
            $milo_animation   .= MILO_BiboCore_Shortcodes::milo_get_css_animation($css_animation);
            $styles_animation = MILO_BiboCore_Shortcodes::milo_get_style_animation($duration, $delay);

            $args = array(
                'posts_per_page' => $posts_per_page,
                'orderby'        => $orderby,
                'order'          => $order,
                'category_name'  => strtolower($category),
                'post_status'    => 'publish'
            );

            // If data_source = list_id
            if ( $data_source == 'list_id' ) {
                $args = array(
                    'posts_per_page' => $posts_per_page,
                    'orderby'        => $orderby,
                    'order'          => $order,
                    'post_status'    => 'publish',
                    'post__in'       =>  explode( ',' , $post_ids )
                );
            }


            $recent_news = new WP_Query($args);

            ob_start();

            $plugin_path = untrailingslashit(plugin_dir_path(__FILE__));
            //Set layout
            switch ($layout_type) {
                case 'style_1':
                    $template_path = $plugin_path . '/templates/style_1.php';
                    break;
                case 'style_2':
                    $template_path = $plugin_path . '/templates/style_2.php';
                    break;
                case 'style_3':
                    $template_path = $plugin_path . '/templates/style_3.php';
                    break;
                case 'style_4':
                    $template_path = $plugin_path . '/templates/style_4.php';
                    break;
                default:
                    $template_path = $plugin_path . '/templates/style_1.php';
            }
            
        ?>  
        <?php if( $recent_news->have_posts() ) : ?>
            <div class="<?php echo esc_attr($milo_animation . ' ' . $styles_animation); ?>">
                <?php include($template_path); ?>
            </div>
            
        <?php else : ?>
            <div class="item-not-found"><?php echo esc_html__( 'No item found', 'milo-bibo' ) ?></div>
        <?php endif; ?>
        <?php
            wp_reset_query();
            $content =  ob_get_clean();

            return $content;
        }
    }

    new Milo_Framework_Shortcode_Recent_News();
}