<?php
/**
 * @package    MiloTheme
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

$recent_news_id  = uniqid();
?>

<div class="recent-news-shortcode-wrapper <?php echo $layout_type ?>">
  <div id="recent-news-container-<?php echo $recent_news_id; ?>" class="recent-news-container owl-carousel owl-theme">
      <?php while( $recent_news->have_posts() ) : $recent_news->the_post(); ?>
        <?php $thumbnail_url = wp_get_attachment_url( get_post_thumbnail_id(get_the_ID()) ); ?>
        <article class="recent_news_item">
          <div class="post-info">
            <span class="post-date"><?php echo date_i18n( 'd M, Y', strtotime(get_the_date('Y-m-d')) ); ?></span>
          </div>
          <div class="post-thumbnail">
            <div class="post-image">
              <img src="<?php echo esc_url($thumbnail_url); ?>" alt="<?php the_title(); ?>">  
            </div>
            <div class="overlay-bg">
            </div>
            <a href="<?php the_permalink() ?>">
              <div class="post-meta">
              </div>
            </a> 
          </div>
          <div class="post-content">
            <h3 class="entry-title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>

            <p class="post-excerpt">
              <?php 
                if(has_excerpt()){
                  echo wp_trim_words( get_the_excerpt(), $excerpt_length, '...' ); 
                }else{
                  echo wp_trim_words( get_the_content(), $excerpt_length, '...' ); 
                }
              ?>
            </p>
            <a href="<?php the_permalink();?>" class="btn-readmore">/ <span class="span-text"><?php echo esc_html__('Read more', 'milo-bibo');?></span></a>
          </div>
        </article>
      <?php endwhile; ?>
  </div>
  <div id="recent-news-control-<?php echo $recent_news_id; ?>" class="recent-news-control">
        <div class="recent-news-nav nav_prev"><i class="fa fa-chevron-left"></i></div>
        <div class="recent-news-nav nav_next"><i class="fa fa-chevron-right"></i></div>
  </div>
</div>
<script>
  jQuery(document).ready(function($) {
    var owl = $('.recent-news-shortcode-wrapper.style_3 #recent-news-container-<?php echo $recent_news_id; ?>');
    owl.owlCarousel({
      items : <?php echo $columns; ?>,
      margin: 30,
      loop: true,
      center: false,
      mouseDrag: true,
      touchDrag: true,
      pullDrag: true,
      freeDrag: false,
      stagePadding: 0,
      merge: false,
      mergeFit: true,
      autoWidth: false,

      startPosition: 0,
      URLhashListener: false,
      nav: false,
      navText: ['next','prev'],
      rewind: true,
      navElement: 'div',
      slideBy: 1,
      dots: true,
      dotsEach: false,
      lazyLoad: false,
      lazyContent: false,

      autoplay: <?php echo $autoplay; ?>,
      autoplayTimeout: <?php echo $slide_duration; ?>,
      autoplayHoverPause: true,
      smartSpeed: 1000,
      fluidSpeed: false,
      autoplaySpeed: false,
      navSpeed: false,
      dotsSpeed: false,
      dragEndSpeed: false,
      responsive: {
        0: {
          items: 1
        },
        500: {
          items:  <?php if($columns >= 2) echo '2'; else echo $columns ?>
        },
        991: {
          items: <?php if($columns >= 3) echo '3'; else echo $columns ?>
        },
        1200: {
          items: <?php if($columns >= 4) echo '4'; else echo $columns ?>
        },
        1300: {
          items: <?php echo $columns; ?>
        }
      },
      responsiveRefreshRate: 200,
      responsiveBaseElement: window,
      video: false,
      videoHeight: false,
      videoWidth: false,
      animateOut: false,
      animateIn: false,
      fallbackEasing: 'swing',

      info: false,

      nestedItemSelector: false,
      itemElement: 'div',
      stageElement: 'div',

      navContainer: false,
      dotsContainer: false
    });
    // Custom Navigation Events
    $('#recent-news-control-<?php echo $recent_news_id; ?>').find(".nav_next").click(function(){
      owl.trigger('next.owl.carousel');
    });
    $('#recent-news-control-<?php echo $recent_news_id; ?>').find(".nav_prev").click(function(){
      owl.trigger('prev.owl.carousel');
    });
  });
</script>