<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if (!class_exists('MILO_BiboCore_Shortcodes')) {
    class MILO_BiboCore_Shortcodes {
        private static $instance;

        public static function init() {
            if (!isset(self::$instance)) {
                self::$instance = new MILO_BiboCore_Shortcodes;
                add_action('init', array(self::$instance, 'includes'), 0);
                add_action('init', array(self::$instance, 'register_vc_map'), 15); // Need to change piority from 10 to 15 because can cause invalid taxonomy
            }
            return self::$instance;
        }

        public function includes() {
            include_once(ABSPATH . 'wp-admin/includes/plugin.php');
            if (!is_plugin_active('js_composer/js_composer.php')) {
                return;
            }

            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/functions.php' ); // Include functions for fields type
            if (class_exists('WooCommerce')) {
                include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/single-product/single-product.php' );
                include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/products/product-masonry.php' );
                include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/products/product-slider.php' );
                include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/products/product-list.php' );
                include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/products/product-category.php' );
                // Products creative
                include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/products-creative/products-creative-masonry/products-creative-masonry.php' );
                include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/products-creative/products-in-category-tabs/products-in-category-tabs.php' );
            }
            // include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/blog/blog.php' );
            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/countdown/countdown.php' );
            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/banner/banner.php' );
            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/clients/clients.php' );
            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/icon-box/icon-box.php' );
            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/gmaps/gmaps.php' );
            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/recent-news/recent-news.php' );
            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/widget/widget.php' );
            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/counter/counter.php' );
            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/images-gallery/images-gallery.php' );
            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/decoration/decoration.php' );
            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/video/video.php' );
            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/banner-slideshow/banner-slideshow.php' );

            // Milo Posttypes Shortcodes

            // include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/posttypes/portfolio/portfolio.php' );

            // include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/posttypes/testimonial/testimonial.php' );

            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/posttypes/teammember/teammember.php' );

            // Milo Footer Shortcodes
            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/footer/footer-contact/footer-contact.php' );
            include_once( PLUGIN_MILO_BIBO_CORE_DIR . 'includes/shortcodes/footer/footer-link/footer-link.php' );
        }

        /* Functions for custom VC display at front-end */
        public static function milo_get_css_animation($css_animation) {
            $output = '';
            if ($css_animation != '') {
                wp_enqueue_script('waypoints');
                $output = ' wpb_animate_when_almost_visible milo-css-animation ' . $css_animation;
            }
            return $output;
        }

        public static function milo_get_style_animation($duration, $delay) {
            $styles = array();
            if ($duration != '0' && !empty($duration)) {
                $duration = (float)trim($duration, "\n\ts");
                $styles[] = "-webkit-animation-duration: {$duration}s";
                $styles[] = "-moz-animation-duration: {$duration}s";
                $styles[] = "-ms-animation-duration: {$duration}s";
                $styles[] = "-o-animation-duration: {$duration}s";
                $styles[] = "animation-duration: {$duration}s";
            }
            if ($delay != '0' && !empty($delay)) {
                $delay = (float)trim($delay, "\n\ts");
                $styles[] = "opacity: 0";
                $styles[] = "-webkit-animation-delay: {$delay}s";
                $styles[] = "-moz-animation-delay: {$delay}s";
                $styles[] = "-ms-animation-delay: {$delay}s";
                $styles[] = "-o-animation-delay: {$delay}s";
                $styles[] = "animation-delay: {$delay}s";
            }
            if (count($styles) > 1) {
                return 'style="' . implode(';', $styles) . '"';
            }
            return implode(';', $styles);
        }

        public static function substr($str, $txt_len, $end_txt = '...') {
            if (empty($str)) return '';
            if (strlen($str) <= $txt_len) return $str;

            $i = $txt_len;
            while ($str[$i] != ' ') {
                $i--;
                if ($i == -1) break;
            }
            while ($str[$i] == ' ') {
                $i--;
                if ($i == -1) break;
            }

            return substr($str, 0, $i + 1) . $end_txt;
        }

        /*
        * SHORTCODES MAP TABLE
        * 2. MILO SINGLE PRODUCT
        * 3. MILO PRODUCTS MASONRY FILTER, GRID AND SLIDER
        * 4. MILO PRODUCTS SLIDER
        * 5. MILO PRODUCTS LIST
        * 6. MILO PRODUCTS CREATIVE MASONRY
        * 7. MILO BLOG
        * 8. MILO PORTFOLIO
        * 9. MILO TESTIMONIAL
        * 10. MILO RECENT NEWS
        * 11. MILO COUNTDOWN
        * 12. MILO BANNER
        * 13. MILO CLIENTS
        * 14. MILO ICON BOX
        * 15. MILO TEAM MEMBER
        * 16. MILO GOOGLE MAPS
        * 17. MILO WIDGET
        * 18. MILO COUNTER
        * 19. MILO PRODUCTS IN CATEGORY TABS
        * 20. MILO IMAGE GALLERY
        * 21. MILO DECORATION
        * 22. MILO VIDEO
        */
        public function register_vc_map() {

            if (function_exists('vc_map')) {

                // add css animation
                $add_css_animation = array(
                    'type'       => 'dropdown',
                    'heading'    => esc_html__( 'CSS Animation', 'milo-bibo' ),
                    'param_name' => 'css_animation',
                    'value'      => array(
                        esc_html__( 'No', 'milo-bibo' )                   => '', 
                        esc_html__( 'Fade In', 'milo-bibo' )              => 'wpb_fadeIn', 
                        esc_html__( 'Fade Top to Bottom', 'milo-bibo' )   => 'wpb_fadeInDown', 
                        esc_html__( 'Fade Bottom to Top', 'milo-bibo' )   => 'wpb_fadeInUp', 
                        esc_html__( 'Fade Left to Right', 'milo-bibo' )   => 'wpb_fadeInLeft', 
                        esc_html__( 'Fade Right to Left', 'milo-bibo' )   => 'wpb_fadeInRight', 
                        esc_html__( 'Bounce In', 'milo-bibo' )            => 'wpb_bounceIn', 
                        esc_html__( 'Bounce Top to Bottom', 'milo-bibo' ) => 'wpb_bounceInDown', 
                        esc_html__( 'Bounce Bottom to Top', 'milo-bibo' ) => 'wpb_bounceInUp', 
                        esc_html__( 'Bounce Left to Right', 'milo-bibo' ) => 'wpb_bounceInLeft', 
                        esc_html__( 'Bounce Right to Left', 'milo-bibo' ) => 'wpb_bounceInRight', 
                        esc_html__( 'Zoom In', 'milo-bibo' )              => 'wpb_zoomIn', 
                        esc_html__( 'Flip Vertical', 'milo-bibo' )        => 'wpb_flipInX', 
                        esc_html__( 'Flip Horizontal', 'milo-bibo' )      => 'wpb_flipInY', 
                        esc_html__( 'Bounce', 'milo-bibo' )               => 'wpb_bounce', 
                        esc_html__( 'Flash', 'milo-bibo' )                => 'wpb_flash', 
                        esc_html__( 'Shake', 'milo-bibo' )                => 'wpb_shake', 
                        esc_html__( 'Pulse', 'milo-bibo' )                => 'wpb_pulse', 
                        esc_html__( 'Swing', 'milo-bibo' )                => 'wpb_swing', 
                        esc_html__( 'Rubber band', 'milo-bibo' )          => 'wpb_rubberBand', 
                        esc_html__( 'Wobble', 'milo-bibo' )               => 'wpb_wobble', 
                        esc_html__( 'Tada', 'milo-bibo' )                 => 'wpb_tada'),
                    'description' => esc_html__( 'Select type of animation if you want this element to be animated when it enters into the browsers viewport. Note: Works only in modern browsers.', 'milo-bibo' ),
                    'group'       => esc_html__( 'Animation Settings', 'milo-bibo' )
                );
                // add duration animation
                $add_duration_animation = array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Animation Duration', 'milo-bibo' ),
                    'param_name'  => 'duration',
                    'value'       => '',
                    'description' => esc_html__( 'Duration in seconds. You can use decimal points in the value. Use this field to specify the amount of time the animation plays. <em>The default value depends on the animation, leave blank to use the default.</em>', 'milo-bibo' ),
                    'dependency'  => array(
                        'element' => 'css_animation', 
                        'value'   => array(
                            'wpb_fadeIn', 
                            'wpb_fadeInDown', 
                            'wpb_fadeInUp', 
                            'wpb_fadeInLeft', 
                            'wpb_fadeInRight', 
                            'wpb_bounceIn', 
                            'wpb_bounceInDown', 
                            'wpb_bounceInUp', 
                            'wpb_bounceInLeft', 
                            'wpb_bounceInRight', 
                            'wpb_zoomIn', 
                            'wpb_flipInX', 
                            'wpb_flipInY', 
                            'wpb_bounce', 
                            'wpb_flash', 
                            'wpb_shake', 
                            'wpb_pulse', 
                            'wpb_swing', 
                            'wpb_rubberBand', 
                            'wpb_wobble', 
                            'wpb_tada'
                        )
                    ),
                    'group'      => esc_html__( 'Animation Settings', 'milo-bibo' )
                );
                // add delay animation
                $add_delay_animation = array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Animation Delay', 'milo-bibo' ),
                    'param_name'  => 'delay',
                    'value'       => '',
                    'description' => esc_html__( 'Delay in seconds. You can use decimal points in the value. Use this field to delay the animation for a few seconds, this is helpful if you want to chain different effects one after another above the fold.', 'milo-bibo' ),
                    'dependency'  => array(
                        'element' => 'css_animation', 
                        'value' => array(
                            'wpb_fadeIn', 
                            'wpb_fadeInDown', 
                            'wpb_fadeInUp', 
                            'wpb_fadeInLeft', 
                            'wpb_fadeInRight', 
                            'wpb_bounceIn', 
                            'wpb_bounceInDown', 
                            'wpb_bounceInUp', 
                            'wpb_bounceInLeft', 
                            'wpb_bounceInRight', 
                            'wpb_zoomIn', 
                            'wpb_flipInX', 
                            'wpb_flipInY', 
                            'wpb_bounce', 
                            'wpb_flash', 
                            'wpb_shake', 
                            'wpb_pulse', 
                            'wpb_swing', 
                            'wpb_rubberBand', 
                            'wpb_wobble', 
                            'wpb_tada'
                        )
                    ),
                    'group'       => esc_html__( 'Animation Settings', 'milo-bibo' )
                );
                // add el class
                $add_el_class = array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Extra class name', 'milo-bibo' ),
                    'param_name'  => 'el_class',
                    'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'milo-bibo' ),
                );
                // custom colors
                $custom_colors = array(
                    esc_html__( 'Informational', 'milo-bibo' )         => 'info',
                    esc_html__( 'Warning', 'milo-bibo' )               => 'warning',
                    esc_html__( 'Success', 'milo-bibo' )               => 'success',
                    esc_html__( 'Error', 'milo-bibo' )                 => "danger",
                    esc_html__( 'Informational Classic', 'milo-bibo' ) => 'alert-info',
                    esc_html__( 'Warning Classic', 'milo-bibo' )       => 'alert-warning',
                    esc_html__( 'Success Classic', 'milo-bibo' )       => 'alert-success',
                    esc_html__( 'Error Classic', 'milo-bibo' )         => "alert-danger",
                );
                // REGISTER VC_MAP SHORTCODES
                /* A. WOOCOMMERCE SHORTCODE */
                $product_cat = array();
                if (class_exists('WooCommerce')) {
                    // Get list product categories option
                    $args = array(
                        'number' => '',
                    );
                    $product_categories = get_terms('product_cat', $args);
                    if (is_array($product_categories)) {
                        foreach ($product_categories as $cat) {
                            $product_cat[$cat->name] = $cat->slug;
                        }
                    }

                    // Get list products option
                    $args = array(
                        'posts_per_page' => -1,
                        'post_type'      => 'product',
                        'post_status'    => 'publish'
                    );
                    $list_product = array();
                    $post_array   = get_posts($args);
                    foreach ($post_array as $post) : setup_postdata($post);
                        $list_product[$post->post_title] = $post->ID;
                    endforeach;
                    wp_reset_postdata();

                    /* 2. MILO SINGLE PRODUCT */
                    /* Need some function from function.php for autocomplete field type */
                    vc_map(
                        array(
                            'name'        =>  esc_html__( 'Milo Single Product', 'milo-bibo' ),
                            'base'        =>  'milo_single_product',
                            'category'    =>  MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                            'icon'        =>  'fa fa-shopping-cart milo-vc-icon',
                            'description' =>  esc_html__( 'Display single WooCommerce product', 'milo-bibo' ),
                            'params'      =>  array(
                                array(
                                    'param_name' => 'product_style',
                                    'type'       => 'dropdown',
                                    'heading'    => esc_html__( 'Layout Style', 'milo-bibo' ),
                                    'description'=> esc_html__('Choose layout style from drop down list styles.', 'milo-bibo'),
                                    'value'      => array(
                                        esc_html__( 'Style 1', 'milo-bibo' ) => 'style_1',
                                        esc_html__( 'Style 2', 'milo-bibo' ) => 'style_2',
                                    ),
                                ),
                                array(
                                    // "type"          => "autocomplete",
                                    'param_name'  => 'id',
                                    'type'        => 'single-select',
                                    'holder'      => 'div',
                                    'class'       => 'hide_in_vc_editor',
                                    'options'     => $list_product,
                                    'admin_label' => true,
                                    'heading'     => esc_html__( 'Select product', 'milo-bibo' ),
                                    'description' => esc_html__( 'Choose single product by search product name.', 'milo-bibo'),
                                ),
                                array(
                                    'param_name'    => 'product_image',
                                    'type'          => 'attach_image',
                                    'holder'        => 'div',
                                    'heading'       => esc_html__( 'Choose Cover Image', 'milo-bibo' ),
                                    'description'   => esc_html__( 'Choose another image to replace original product image.', 'milo-bibo'),
                                    'dependency' => array(
                                        'element' => 'product_style',
                                        'value'   => array('style_2')
                                    ),
                                ),
                                array(
                                    'param_name'    => 'product_brand_logo',
                                    'type'          => 'attach_image',
                                    'heading'       => esc_html__( 'Choose branding logo', 'milo-bibo' ),
                                    'description'   => esc_html__( 'Choose branding logo to display above product.', 'milo-bibo'),
                                    'admin_label'   => true,
                                    'dependency' => array(
                                        'element' => 'product_style',
                                        'value'   => array('style_2')
                                    ),
                                ),
                                $add_css_animation,
                                $add_duration_animation,
                                $add_delay_animation,
                                $add_el_class
                            )
                        )
                    );
                    
                    /* 3. MILO PRODUCTS MASONRY FILTER, GRID */
                    vc_map(
                        array(
                            'base'        => 'milo_products',
                            'name'        => esc_html__( 'Milo Products', 'milo-bibo' ),
                            'icon'        => 'fa fa-shopping-cart milo-vc-icon',
                            'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                            'description' => esc_html__( 'Display products with grid, masonry layout', 'milo-bibo' ),
                            'params'      => array(
                                array(
                                    'param_name' => 'layout_type',
                                    'type'       => 'dropdown',
                                    'heading'    => esc_html__( 'Layout Style', 'milo-bibo' ),
                                    'description'=> '',
                                    'value'      => array(
                                        esc_html__( 'Grid', 'milo-bibo' )    => 'grid',
                                        esc_html__( 'Masonry', 'milo-bibo' ) => 'masonry',
                                    ),
                                    'std'              => 'grid',
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                ),
                                array(
                                    'param_name'       => 'columns',
                                    'type'             => 'dropdown',
                                    'heading'          => esc_html__( 'Columns', 'milo-bibo' ),
                                    'admin_label'      => true,
                                    'value'            => array( 2, 3, 4, 5 ),
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                ),
                                array(
                                    'param_name'  => 'data_source',
                                    'type'        => 'dropdown',
                                    'heading'     => esc_html__( 'Data Source', 'milo-bibo' ),
                                    'description' => esc_html__( 'Choose the source which products will be displayed on products page', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'value'       => array(
                                        esc_html__( 'Categories', 'milo-bibo' )    => 'product_cat',
                                        esc_html__( 'Product Items', 'milo-bibo' ) => 'product_list_id'
                                    )
                                ),
                                array(
                                    'param_name'  => 'category',
                                    'type'        => 'multi-select',
                                    'heading'     => esc_html__( 'Categories', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'options'     => $product_cat,
                                    'dependency'  => array(
                                        'element' => 'data_source',
                                        'value'   => array('product_cat')
                                    ),
                                ),
                                array(
                                    'param_name' => 'product_ids',
                                    'type'       => 'multi-select',
                                    'heading'    => esc_html__( 'Product Items', 'milo-bibo' ),
                                    'options'    => $list_product,
                                    'dependency' => array(
                                        'element' => 'data_source', 
                                        'value'   => array('product_list_id')
                                    )
                                ),
                                array(
                                    'param_name' => 'filter_style',
                                    'type'       => 'dropdown',
                                    'heading'    => esc_html__( 'Filter style', 'milo' ),
                                    'description'=> esc_html__( 'Select filter display style.', 'milo-bibo' ),
                                    'value'      => array(
                                        esc_html__( 'None', 'milo-bibo' )    => '',
                                        esc_html__( 'Style 1', 'milo-bibo' ) => 'style_1',
                                    ),
                                    'dependency' => array(
                                        'element' => 'data_source', 
                                        'value'   => array('product_cat')
                                    ),
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                ),
                                array(
                                    'param_name' => 'filter_align',
                                    'type'       => 'dropdown',
                                    'heading'    => esc_html__( 'Filter alignment', 'milo-bibo' ),
                                    'description'=> esc_html__( 'Select filter alignment.', 'milo-bibo' ),
                                    'value'      => array(
                                        esc_html__( 'Center', 'milo-bibo' ) => 'center',
                                        esc_html__( 'Left', 'milo-bibo' )   => 'left',
                                        esc_html__( 'Right', 'milo-bibo' )  => 'right'
                                    ),
                                    'dependency'    => array(
                                        'element'   => 'filter_style',
                                        'not_empty' => true,
                                    ),
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                ),
                               
                                array(
                                    'param_name' => 'paging_style',
                                    'type'       => 'dropdown',
                                    'heading'    => esc_html__( 'Pagination', 'milo-bibo' ),
                                    'value'      => array(
                                        esc_html__( 'Page Number', 'milo-bibo' )        => 'default',
                                        esc_html__( 'Load More Button', 'milo-bibo' )   => 'load-more',
                                        esc_html__( 'Infinite Scrolling', 'milo-bibo' ) => 'infinity-scroll',
                                    ),
                                    'description'      => esc_html__( 'Choose pagination type.', 'milo-bibo' ),
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                ),
                                array(
                                    'param_name' => 'paging_align',
                                    'type'       => 'dropdown',
                                    'heading'    => esc_html__( 'Paging alignment', 'milo-bibo' ),
                                    'value'      => array(
                                        esc_html__( 'Center', 'milo-bibo' ) => 'center',
                                        esc_html__( 'Left', 'milo-bibo' )   => 'left',
                                        esc_html__( 'Right', 'milo-bibo' )  => 'right'
                                    ),
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding', 
                                ),
                                array(
                                    'param_name'  => 'per_page',
                                    'type'        => 'textfield',
                                    'heading'     => esc_html__( 'Products Per Page', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'value'       => 12 ,
                                ),
                                array(
                                    'param_name' => 'orderby',
                                    'type'       => 'dropdown',
                                    'heading'    => esc_html__( 'Order by', 'milo-bibo' ),
                                    'description'=> esc_html__( 'Select product ordering.', 'milo-bibo' ),
                                    'value'      => array(
                                        esc_html__( 'Publish Date', 'milo-bibo' ) => 'date',
                                        esc_html__( 'Random', 'milo-bibo' )       => 'rand',
                                        esc_html__( 'Alphabetic', 'milo-bibo' )   => 'title',
                                        esc_html__( 'Featured', 'milo-bibo' )     => '_featured',
                                        esc_html__( 'Rate', 'milo-bibo' )         => 'rating',
                                        esc_html__( 'Price', 'milo-bibo' )        => 'price'
                                    ),
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                ),
                                array(
                                    'param_name' => 'order',
                                    'type'       => 'dropdown',
                                    'class'      => '',
                                    'heading'    => esc_html__( 'Sort order', 'milo-bibo' ),
                                    'description'=> esc_html__( 'Select how to sort retrieved products', 'milo-bibo'),
                                    'value'      => array(
                                        esc_html__( 'Ascending', 'milo-bibo' )  => 'asc',
                                        esc_html__( 'Descending', 'milo-bibo' ) => 'desc' 
                                    ),
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding', 
                                ),
                                $add_css_animation,
                                $add_duration_animation,
                                $add_delay_animation,
                                $add_el_class
                            )
                        )
                    );
                    
                    /* 4. MILO PRODUCTS SLIDER */
                    vc_map(
                        array(
                            'base'        => 'milo_products_slider',
                            'name'        => esc_html__( 'Milo Products Slider', 'milo-bibo' ),
                            'icon'        => 'fa fa-shopping-cart milo-vc-icon',
                            'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                            'description' => esc_html__( 'Display products with slider layout.', 'milo-bibo' ),
                            'params'      => array(
                                array(
                                    'param_name'  => 'layout_type',
                                    'type'        => 'dropdown',
                                    'heading'     => esc_html__( 'Layout type', 'milo-bibo' ),
                                    'description' => esc_html__( 'Choose layout type of products slider', 'milo-bibo'),
                                    'admin_label' => true,
                                    'std'         => 'carousel',
                                    'value'       => array(
                                        esc_html__( 'Carousel', 'milo-bibo' )    => 'carousel',
                                    )
                                ),
                                array(
                                    'param_name'  => 'data_source',
                                    'type'        => 'dropdown',
                                    'heading'     => esc_html__( 'Data Sources', 'milo-bibo' ),
                                    'description' => esc_html__( 'Choose the source which products will be displayed on products page.', 'milo-bibo'),
                                    'admin_label' => true,
                                    'value'       => array(
                                        esc_html__( 'Categories', 'milo-bibo' )    => 'product_cat',
                                        esc_html__( 'Product Items', 'milo-bibo' ) => 'product_list_id'
                                    )
                                ),
                                array(
                                    'param_name'  => 'category',
                                    'type'        => 'multi-select',
                                    'heading'     => esc_html__( 'Categories', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'options'     => $product_cat,
                                    'dependency'  => array(
                                        'element' => 'data_source',
                                        'value'   => array('product_cat')
                                    ),
                                ),
                                array(
                                    'param_name' => 'product_ids',
                                    'type'       => 'multi-select',
                                    'heading'    => esc_html__( 'Product Items', 'milo-bibo' ),
                                    'options'    => $list_product,
                                    'dependency' => array(
                                        'element' => 'data_source', 
                                        'value'   => array('product_list_id')
                                    )
                                ),
                                array(
                                    'param_name'  => 'products_per_slide',
                                    'type'        => 'dropdown',
                                    'heading'     => esc_html__( 'Products per slide', 'milo-bibo' ),
                                    'description' => esc_html__('Select number products to display each slide.', 'milo-bibo'),
                                    'admin_label' => true,
                                    'value'       => array( 1, 2, 3, 4, 5, 6 ),
                                    'group'       => esc_html__( 'Slide Settings', 'milo-bibo' )
                                ),
                                array(
                                    'param_name' => 'autoplay',
                                    'type'       => 'dropdown',
                                    'heading'    => esc_html__( 'AutoPlay', 'milo-bibo' ),
                                    'value'      => array(
                                        esc_html__( 'Yes', 'milo-bibo') => 'true', 
                                        esc_html__( 'No', 'milo-bibo')  => 'false'
                                    ),
                                    'group'       => esc_html__( 'Slide Settings', 'milo-bibo' )
                                ),
                                array(
                                    'param_name'  => 'slide_duration',
                                    'type'        => 'textfield',
                                    'heading'     => esc_html__( 'Slide Duration (ms)', 'milo-bibo' ),
                                    'description' => esc_html__( 'Auto rotate slides each X milliseconds.', 'milo-bibo' ),
                                    'std'         => '3000',
                                    'admin_label' => true,
                                    'group'       => esc_html__( 'Slide Settings', 'milo-bibo' )
                                ),

                                array(
                                    'param_name'  => 'per_page',
                                    'type'        => 'textfield',
                                    'heading'     => esc_html__( 'Product count', 'milo-bibo' ),
                                    'description' => esc_html__( 'Enter number of products to display (Note: Enter "-1" to display all products).', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'value'       => 12,
                                ),
                                array(
                                    'param_name' => 'orderby',
                                    'type'       => 'dropdown',
                                    'heading'    => esc_html__( 'Order By', 'milo-bibo' ),
                                    'description'=> esc_html__( 'Select how to sort retrieved products.', 'milo-bibo' ),
                                    'value'      => array(
                                        esc_html__( 'Publish Date', 'milo-bibo' ) => 'date',
                                        esc_html__( 'Random', 'milo-bibo' )       => 'rand',
                                        esc_html__( 'Alphabetic', 'milo-bibo' )   => 'title',
                                        esc_html__( 'Popularity', 'milo-bibo' )   => 'popularity',
                                        esc_html__( 'Rate', 'milo-bibo' )         => 'rating',
                                        esc_html__( 'Price', 'milo-bibo' )        => 'price' 
                                    ),
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                ),
                                array(
                                    'param_name' => 'order',
                                    'type'       => 'dropdown',
                                    'class'      => '',
                                    'heading'    => esc_html__( 'Sort order', 'milo-bibo' ),
                                    'description'=> esc_html__('Select sorting order.', 'milo-bibo'),
                                    'value'      => array(
                                        esc_html__( 'Ascending', 'milo-bibo' )  => 'asc',
                                        esc_html__( 'Descending', 'milo-bibo' ) => 'desc' 
                                    ),
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding', 
                                ),
                                $add_css_animation,
                                $add_duration_animation,
                                $add_delay_animation,
                                $add_el_class
                            )
                        )
                    );

                    /* 5. MILO PRODUCTS LIST */
                    vc_map(
                        array(
                            'base'        => 'milo_products_list',
                            'name'        => esc_html__( 'Milo Products List', 'milo-bibo' ),
                            'icon'        => 'fa fa-shopping-cart milo-vc-icon',
                            'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                            'description' => esc_html__( 'Display product with list layout', 'milo-bibo' ),
                            'params'      => array(
                                array(
                                    'param_name'  => 'data_source',
                                    'type'        => 'dropdown',
                                    'heading'     => esc_html__( 'Data Source', 'milo-bibo' ),
                                    'description' => esc_html__( 'Choose the source which products will be displayed on products page.', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'value'       => array(
                                        esc_html__( 'Categories', 'milo-bibo' )    => 'product_cat',
                                        esc_html__( 'Product Items', 'milo-bibo' ) => 'product_list_id'
                                    )
                                ),
                                array(
                                    'param_name'  => 'category',
                                    'type'        => 'multi-select',
                                    'heading'     => esc_html__( 'Categories', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'options'     => $product_cat,
                                    'dependency'  => array(
                                        'element' => 'data_source',
                                        'value'   => array('product_cat')
                                    ),
                                ),
                                array(
                                    'param_name' => 'product_ids',
                                    'type'       => 'multi-select',
                                    'heading'    => esc_html__( 'Product Items', 'milo-bibo' ),
                                    'options'    => $list_product,
                                    'dependency' => array(
                                        'element' => 'data_source', 
                                        'value'   => array('product_list_id')
                                    )
                                ),
                                array(
                                    'param_name'  => 'per_page',
                                    'type'        => 'textfield',
                                    'heading'     => esc_html__( 'Products Per Page', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'value'       => 12 ,
                                ),
                                array(
                                    'param_name' => 'paging_style',
                                    'type'       => 'dropdown',
                                    'heading'    => esc_html__( 'Pagination', 'milo-bibo' ),
                                    'value'      => array(
                                        esc_html__( 'Page Number', 'milo-bibo' )        => 'default',
                                        esc_html__( 'Load More Button', 'milo-bibo' )   => 'load-more',
                                        esc_html__( 'Infinite Scrolling', 'milo-bibo' ) => 'infinity-scroll',
                                    ),
                                    'description'      => esc_html__( 'Choose pagination type.', 'milo-bibo' ),
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                ),
                                array(
                                    'param_name' => 'paging_align',
                                    'type'       => 'dropdown',
                                    'heading'    => esc_html__( 'Paging alignment', 'milo-bibo' ),
                                    'description'=> esc_html__( 'Select filter alignment.', 'milo-bibo' ),
                                    'value'      => array(
                                        esc_html__( 'Center', 'milo-bibo' ) => 'center',
                                        esc_html__( 'Left', 'milo-bibo' )   => 'left',
                                        esc_html__( 'Right', 'milo-bibo' )  => 'right'
                                    ),
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding', 
                                ),
                                array(
                                    'param_name' => 'orderby',
                                    'type'       => 'dropdown',
                                    'heading'    => esc_html__( 'Order By', 'milo-bibo' ),
                                    'description'=> esc_html__( 'Select how to sort retrieved products.', 'milo-bibo' ),
                                    'value'      => array(
                                        esc_html__( 'Publish Date', 'milo-bibo' ) => 'date',
                                        esc_html__( 'Random', 'milo-bibo' )       => 'rand',
                                        esc_html__( 'Alphabetic', 'milo-bibo' )   => 'title',
                                        esc_html__( 'Popularity', 'milo-bibo' )   => 'popularity',
                                        esc_html__( 'Rate', 'milo-bibo' )         => 'rating',
                                        esc_html__( 'Price', 'milo-bibo' )        => 'price' 
                                    ),
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                ),
                                array(
                                    'param_name' => 'order',
                                    'type'       => 'dropdown',
                                    'class'      => '',
                                    'heading'    => esc_html__( 'Sort order', 'milo-bibo' ),
                                    'description'=> esc_html__( 'Select sorting order.', 'milo-bibo' ),
                                    'value'      => array(
                                        esc_html__( 'Ascending', 'milo-bibo' )  => 'asc',
                                        esc_html__( 'Descending', 'milo-bibo' ) => 'desc' 
                                    ),
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding', 
                                ),
                                $add_css_animation,
                                $add_duration_animation,
                                $add_delay_animation,
                                $add_el_class
                            )
                        )
                    );

                    /* 6. MILO PRODUCTS IN CATEGORY TABS */
                    vc_map( 
                        array(
                            'base'        => 'milo_products_in_category_tabs',
                            'name'        => esc_html__( 'Milo Products Ajax Category Tabs', 'milo-bibo' ),
                            'class'       => '',
                            'icon'        => 'fa fa-shopping-cart milo-vc-icon',
                            'description' => esc_html__( 'Display products in category via ajax load', 'milo-bibo' ),
                            'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                            'params'      => array(
                                array(
                                    'param_name'  => 'product_cats',
                                    'type'        => 'multi-select',
                                    'heading'     => esc_html__( 'Product Categories', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'options'     => $product_cat,
                                ),
                                array(
                                    'param_name'  => 'per_page',
                                    'type'        => 'textfield',
                                    'heading'     => esc_html__( 'Limit', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'value'       => 6,
                                    'description' => esc_html__( 'Number of Products', 'milo-bibo' )
                                ),
                                array(
                                    'param_name'  => 'columns',
                                    'type'        => 'dropdown',
                                    'heading'     => esc_html__( 'Columns', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'value'       => array(
                                        '2 Columns' => '2',
                                        '3 Columns' => '3',
                                        '4 Columns' => '4',
                                        '5 Columns' => '5',
                                        '6 Columns' => '6',
                                    ),
                                    'description' => esc_html__( 'Number of Columns', 'milo-bibo' )
                                ),
                                array(
                                    'param_name'  => 'product_type',
                                    'type'        => 'dropdown',
                                    'heading'     => esc_html__( 'Product type', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'value'       => array(
                                        'Recent'       => 'recent',
                                        'Sale'         => 'sale',
                                        'Featured'     => 'featured',
                                        'Best Selling' => 'best_selling',
                                        'Top Rated'    => 'top_rated',
                                        'Mixed Order'  => 'mixed_order'
                                    ),
                                    'description'  => esc_html__( 'Select type of product', 'milo-bibo' )
                                ),
                                array(
                                    'param_name'  => 'show_general_tab',
                                    'type'        => 'dropdown',
                                    'heading'     => esc_html__( 'Show general tab', 'milo-bibo' ),
                                    'admin_label' => false,
                                    'value'       => array(
                                        'No'  => 0,
                                        'Yes' => 1
                                    ),
                                    'description'  => esc_html__( 'Get products from all categories', 'milo-bibo' )
                                ),
                                array(
                                    'param_name'  => 'layout_type',
                                    'type'        => 'dropdown',
                                    'heading'     => esc_html__( 'Layout type', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'value'       => array(
                                        'Grid'   => 'grid',
                                        'Slider' => 'slider'
                                    ),
                                    'description'  => ''
                                ),
                                array(
                                    'param_name'  => 'show_nav',
                                    'type'        => 'dropdown',
                                    'heading'     => esc_html__( 'Show navigation button', 'milo-bibo' ),
                                    'admin_label' => false,
                                    'value'       => array(
                                        'No'  => 0,
                                        'Yes' => 1
                                    ),
                                    'description'  => '',
                                    'dependency'  => array(
                                        'element' => 'layout_type', 
                                        'value'   => array('slider')
                                    ),
                                ),
                                array(
                                    'param_name'  => 'auto_play',
                                    'type'        => 'dropdown',
                                    'heading'     => esc_html__( 'Auto play', 'milo-bibo' ),
                                    'admin_label' => false,
                                    'value'       => array(
                                        'Yes' => 1,
                                        'No'  => 0
                                    ),
                                    'description'  => '',
                                    'dependency'  => array(
                                        'element' => 'layout_type', 
                                        'value'   => array('slider')
                                    ),
                                ),
                                array(
                                    'param_name'  => 'slide_duration',
                                    'type'        => 'textfield',
                                    'heading'     => esc_html__( 'Slide Duration(ms)', 'milo-bibo' ),
                                    'admin_label' => false,
                                    'value'       => '5000',
                                    'description' => '',
                                    'dependency'  => array(
                                        'element' => 'layout_type', 
                                        'value'   => array('slider')
                                    ),
                                ),
                                $add_css_animation,
                                $add_duration_animation,
                                $add_delay_animation,
                                $add_el_class
                            )
                        )
                    );
                    
                    /* 7. MILO PRODUCTS IN CATEGORY TABS */
                    vc_map( 
                        array(
                            'base'        => 'milo_products_category',
                            'name'        => esc_html__( 'Milo Products Category', 'milo-bibo' ),
                            'class'       => '',
                            'icon'        => 'fa fa-shopping-cart milo-vc-icon',
                            'description' => esc_html__( 'Display list of products category', 'milo-bibo' ),
                            'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                            'params'      => array(
                                array(
                                    'param_name'  => 'category',
                                    'type'        => 'multi-select',
                                    'heading'     => esc_html__( 'Product Categories', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'options'     => $product_cat,
                                ),
                                array(
                                    'param_name'  => 'columns',
                                    'type'        => 'dropdown',
                                    'heading'     => esc_html__( 'Columns', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'value'       => array(
                                        '2 Columns' => '2',
                                        '3 Columns' => '3',
                                        '4 Columns' => '4',
                                        '5 Columns' => '5',
                                        '6 Columns' => '6',
                                    ),
                                    'description' => esc_html__( 'Number of Columns', 'milo-bibo' )
                                ),
                                array(
                                    'param_name'  => 'layout_type',
                                    'type'        => 'dropdown',
                                    'heading'     => esc_html__( 'Layout type', 'milo-bibo' ),
                                    'admin_label' => true,
                                    'value'       => array(
                                        'Grid'   => 'grid',
                                    ),
                                    'description'  => ''
                                ),
                                $add_css_animation,
                                $add_duration_animation,
                                $add_delay_animation,
                                $add_el_class
                            )
                        )
                    );

                    /* 8. MILO PRODUCTS CREATIVE MASONRY */
                    vc_map(
                        array(
                            'base'        => 'milo_products_creative_masonry',
                            'name'        => esc_html__( 'Milo Products Creative', 'milo-bibo' ),
                            'icon'        => 'fa fa-shopping-cart milo-vc-icon',
                            'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                            'description' => esc_html__( 'Display products with creative layout', 'milo-bibo' ),
                            'params'      => array(
                                array(
                                    'param_name' => 'product_style',
                                    'type'       => 'dropdown',
                                    'heading'    => esc_html__( 'Hover Product Style', 'milo-bibo' ),
                                    'description'=> esc_html__( 'Choose hover product style effect.', 'milo-bibo' ),
                                    'value'      => array(
                                        esc_html__( 'Style 1', 'milo-bibo' ) => 'style_1',
                                        esc_html__( 'Style 2', 'milo-bibo' ) => 'style_2',
                                    ),
                                    'std'        => 'style_1',
                                    
                                ),
                                array(
                                    'param_name' => 'product_slugs',
                                    'type'       => 'multi-select',
                                    'heading'    => esc_html__( 'Products', 'milo-bibo' ),
                                    'description'=> esc_html__( 'Choose products to display on products creative.', 'milo-bibo' ),
                                    'options'    => $list_product
                                ),
                                array(
                                    'param_name'       => 'product_img_width',
                                    'type'             => 'textfield',
                                    'heading'          => esc_html__( 'Width(px)', 'milo-bibo' ),
                                    'description'      => esc_html__( 'Width of product image (px)', 'milo-bibo' ), 
                                    'value'            => '300',
                                    'description'      => esc_html__( 'Width of image(px)', 'milo-bibo' ),
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                ),
                                array(
                                    'param_name'       => 'product_img_height',
                                    'type'             => 'textfield',
                                    'heading'          => esc_html__( 'Height(px)', 'milo-bibo' ),
                                    'description'      => esc_html__( 'Height of product image (px)', 'milo-bibo' ),
                                    'value'            => '300',
                                    'description'      => esc_html__( 'Height of image(px)', 'milo-bibo' ),
                                    'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                ),
                                array(
                                    'type'       => 'dropdown',
                                    'heading'    => esc_html__( 'Columns', 'milo-bibo' ),
                                    'description'=> '',
                                    'param_name' => 'columns',
                                    'value'      => array(
                                        esc_html__( '2', 'milo-bibo' ) => '2',
                                        esc_html__( '3', 'milo-bibo' ) => '3',
                                        esc_html__( '4', 'milo-bibo' ) => '4',
                                        esc_html__( '5', 'milo-bibo' ) => '5',
                                        esc_html__( '6', 'milo-bibo' ) => '6',
                                    ),
                                    'std'              => '4',
                                ),
                                array(
                                    'type'       => 'textfield',
                                    'heading'    => esc_html__( 'Product width ratio', 'milo-bibo' ),
                                    'param_name' => 'product_width',
                                    'description'=> esc_html__( 'Example: 5:1x1, 10:2x2, 15:2x1, 20:1x2...: 20 is ID, 1 is width ratio, 2 is height ratio', 'milo-bibo' )
                                ),
                                
                                $add_css_animation,
                                $add_duration_animation,
                                $add_delay_animation,
                                $add_el_class
                            )
                        )
                    );               
                }

                /* B. OTHER SHORTCODE */

                // POSTTYPES SHORTCODE     

                /* 10. MILO RECENT NEWS */
                $taxonomies = array( 
                    'category',
                );
                $args = array(
                    'hide_empty' => 1,
                    'orderby'    => 'ASC'
                );
                $post_categories = get_terms( $taxonomies, $args );
                $post_cat = array();
                if ( is_array($post_categories) ) {
                    foreach ($post_categories as $cat) {
                        $post_cat[$cat->name] = $cat->slug;
                    }
                }

                $args = array(
                    'posts_per_page' => -1,
                    'post_type'      => 'post',
                    'post_status'    => 'publish'
                );
                $list_post  = array();
                $post_array = get_posts($args);
                foreach ($post_array as $post) : setup_postdata($post);
                    $list_post[$post->post_title] = $post->ID;
                endforeach;

                wp_reset_postdata();

                vc_map(
                    array(
                        'name'        => esc_html__( 'Milo Recent News', 'milo-bibo' ),
                        'base'        => 'milo_recent_news',
                        'icon'        => 'fa fa-bookmark milo-vc-icon',
                        'description' => esc_html__( 'Display latest post or selected post', 'milo-bibo' ),
                        'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                        'params'      => array(
                            array(
                                'param_name'  => 'layout_type',
                                'heading'     => esc_html__( 'Choose layout', 'milo-bibo' ),
                                'description' => '',
                                'type'        => 'dropdown',
                                'value'       => array(
                                    esc_html__( 'Home 1 (Carousel Image Shadow)', 'milo-bibo' ) => 'style_1',
                                    esc_html__( 'Home 1 (Grid)', 'milo-bibo' )                  => 'style_2',
                                    esc_html__( 'Home 2 (Carousel Slideshow)', 'milo-bibo' )    => 'style_3',
                                    esc_html__( 'Home 6 (Carousel Slideshow)', 'milo-bibo' )    => 'style_4',
                                )
                            ),
                            array(
                                'type'        => 'dropdown',
                                'heading'     => esc_html__( 'Source', 'milo-bibo' ),
                                'param_name'  => 'data_source',
                                'admin_label' => true,
                                'value'       => array(
                                    esc_html__( 'From Category', 'milo-bibo' ) => '',
                                    esc_html__( 'From Post IDs', 'milo-bibo' ) => 'list_id'
                                )
                            ),
                            array(
                                'type'        => 'multi-select',
                                'heading'     => esc_html__( 'Select Categories', 'milo-bibo' ),
                                'param_name'  => 'category',
                                'admin_label' => true,
                                'options'     => $post_cat,
                                'dependency'  => array(
                                    'element' => 'data_source', 
                                    'value'   => array('')
                                ),
                            ),
                            array(
                                'type'       => 'multi-select',
                                'heading'    => esc_html__( 'Select Post', 'milo-bibo' ),
                                'param_name' => 'post_ids',
                                'options'    => $list_post,
                                'dependency' => array(
                                    'element' => 'data_source', 
                                    'value'   => array('list_id')
                                )
                            ),
                            array(
                                'param_name'  => 'columns', 
                                'heading'     => esc_html__( 'Number of Columns', 'milo-bibo' ), 
                                'type'        => 'dropdown', 
                                'admin_label' => true, 
                                'value'       => array(
                                    esc_html__( '1', 'milo_bibo' ) => '1',
                                    esc_html__( '2', 'milo-bibo' ) => '2',
                                    esc_html__( '3', 'milo-bibo' ) => '3', 
                                    esc_html__( '4', 'milo-bibo' ) => '4', 
                                ), 
                                'dependency' => array(
                                    'element'   => 'layout_type',
                                    'value'     => array( 'style_1','style_3', 'style_4' )
                                )
                            ),
                            array(
                                'type'       => 'dropdown',
                                'heading'    => esc_html__( 'AutoPlay', 'milo-bibo' ),
                                'param_name' => 'autoplay',
                                'value'      => array(
                                    esc_html__( 'Yes', 'milo-bibo') => 'true', 
                                    esc_html__( 'No', 'milo-bibo')  => 'false'
                                ),
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                'dependency'  => array(
                                    'element'   => 'layout_type',
                                    'value'     => array( 'style_1', 'style_3', 'style_4' )
                                )
                            ),
                            array(
                                'type'             => 'textfield',
                                'heading'          => esc_html__( 'Slide Duration (ms)', 'milo-bibo' ),
                                'param_name'       => 'slide_duration',
                                'std'              => '6000',
                                'admin_label'      => true,
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                'dependency'  => array(
                                    'element'   => 'layout_type',
                                    'value'     => array( 'style_1', 'style_3', 'style_4' )
                                )
                            ),
                            array( 
                                'param_name'  => 'posts_per_page', 
                                'heading'     => esc_html__( 'Posts per page', 'milo-bibo' ), 
                                'type'        => 'textfield', 
                                'admin_label' => true,
                                'dependency'  => array(
                                    'element'   => 'layout_type',
                                    'value'     => array( 'style_1', 'style_2', 'style_3')
                                )
                            ),
                            array(
                                'param_name'  => 'excerpt_length',
                                'heading'     => esc_html__( 'Excerpt Length', 'milo-bibo' ),
                                'description' => esc_html__( 'Insert number of words to show in excerpt.', 'milo-bibo' ),
                                'type'        => 'textfield',
                                'value'       => '',
                                'admin_label' => true,
                            ),
                            // Data settings  
                            array(
                                'param_name' => 'orderby',
                                'type'       => 'dropdown',
                                'heading'    => esc_html__( 'Order by', 'milo-bibo' ),
                                'value'      => array(
                                    esc_html__( 'Date', 'milo-bibo' )                  => 'date',
                                    esc_html__( 'Order by post ID', 'milo-bibo' )      => 'ID',
                                    esc_html__( 'Author', 'milo-bibo' )                => 'author',
                                    esc_html__( 'Title', 'milo-bibo' )                 => 'title',
                                    esc_html__( 'Last modified date', 'milo-bibo' )    => 'modified',
                                    esc_html__( 'Post/page parent ID', 'milo-bibo' )   => 'parent',
                                    esc_html__( 'Number of comments', 'milo-bibo' )    => 'comment_count',
                                    esc_html__( 'Random order', 'milo-bibo' )          => 'rand',
                                ),
                                'description'        => esc_html__( 'Select order type.', 'milo-bibo' ),
                            ),

                            array(
                                'param_name' => 'order',
                                'type'       => 'dropdown',
                                'heading'    => esc_html__( 'Sort Order', 'milo-bibo' ),
                                'value'      => array(
                                    esc_html__( 'Descending', 'milo-bibo' ) => 'DESC',
                                    esc_html__( 'Ascending', 'milo-bibo' )  => 'ASC',
                                ),
                                'description'        => esc_html__( 'Select sorting order.', 'milo-bibo' ),
                            ),
                            $add_css_animation,
                            $add_duration_animation,
                            $add_delay_animation,
                            $add_el_class
                        )
                    )
                );

                /* 11. MILO COUNTDOWN */
                vc_map(
                    array(
                        'name'        => esc_html__( 'Milo Countdown', 'milo-bibo' ),
                        'base'        => 'milo_countdown',
                        'icon'        => 'fa fa-clock-o milo-vc-icon',
                        'description' => esc_html__( 'Display Countdown timer', 'milo-bibo' ),
                        'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                        'params'      => array(
                            array(
                                'param_name'  => 'datetime',
                                'type'        => 'milo_datetime',
                                'heading'     => esc_html__( 'Select Datetime', 'milo-bibo' ),
                                'admin_label' => true,
                                'value'       => ''
                            ),
                            array(
                                'param_name'  => 'layout_type',
                                'heading'     => esc_html__( 'Choose layout', 'milo-bibo' ),
                                'description' => '',
                                'type'        => 'dropdown',
                                'value'       => array(
                                    esc_html__( 'Number', 'milo-bibo' )   => 'number',
                                    esc_html__( 'Number 2', 'milo-bibo' ) => 'number_2',
                                    esc_html__( 'Circle', 'milo-bibo' )   => 'circle'
                                )
                            ),
                            $add_css_animation,
                            $add_duration_animation,
                            $add_delay_animation,
                            $add_el_class
                        )
                    )
                );

                /* 12. MILO BANNER */
                vc_map(
                    array(
                        'name'        => esc_html__( 'Milo Banner', 'milo-bibo' ),
                        'base'        => 'milo_banner',
                        'icon'        => 'fa fa-windows milo-vc-icon',
                        'description' => esc_html__( 'Display banner', 'milo-bibo' ),
                        'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                        'params'      => array(
                            array(
                                'type'       => 'dropdown',
                                'heading'    => esc_html__( 'Layout Style', 'milo-bibo' ),
                                'param_name' => 'layout_type',
                                'value'      => array(
                                    esc_html__( 'Style 1 (Shadow Effect)', 'milo-bibo' )       => 'style_1',
                                    esc_html__( 'Style 2 (Border Effect)', 'milo-bibo' )       => 'style_2',
                                    esc_html__( 'Style 3 (Text banner)', 'milo-bibo' )         => 'style_3',
                                    esc_html__( 'Style 4 (Border ZoomIn)', 'milo-bibo' )       => 'style_4',
                                    esc_html__( 'Style 5 (Boxed Icon)', 'milo-bibo' )          => 'style_5',
                                    esc_html__( 'Style 6 (Text Only - Home 4)', 'milo-bibo' )  => 'style_6',
                                    esc_html__( 'Style 7 (Decoration - Home 4)', 'milo-bibo' ) => 'style_7',
                                    esc_html__( 'Style 8 (Home 7 Style 1)', 'milo-bibo' )      => 'style_8',
                                ),
                            ),
                            array(
                                'type'        => 'textfield',
                                'heading'     => esc_html__( 'Title', 'milo-bibo' ),
                                'param_name'  => 'title',
                                'admin_label' => true,
                            ),
                            array(
                                'type'        => 'textfield',
                                'heading'     => esc_html__( 'Sub Title', 'milo-bibo' ),
                                'param_name'  => 'sub_title',
                                'admin_label' => true,
                                'dependency'  => array(
                                    'element' => 'layout_type',
                                    'value'   => array('style_4', 'style_5', 'style_6', 'style_8'),
                                ),
                            ),
                            array(
                                'type'        => 'textfield',
                                'heading'     => esc_html__( 'Button Text', 'milo-bibo' ),
                                'param_name'  => 'button_text',
                                'admin_label' => true,
                                'dependency'  => array(
                                    'element' => 'layout_type',
                                    'value'   => array('style_4', 'style_6', 'style_8'),
                                ),
                            ),
                            array(
                                'type'        => 'dropdown',
                                'heading'     => esc_html__( 'Shadow', 'milo-bibo' ),
                                'param_name'  => 'shadow',
                                'admin_label' => true,
                                'value'       => array(
                                    esc_html__( 'None', 'milo-bibo' )         => '',
                                    esc_html__( 'Top Left', 'milo-bibo' )     => 'top_left',
                                    esc_html__( 'Top Right', 'milo-bibo' )    => 'top_right',
                                    esc_html__( 'Bottom Left', 'milo-bibo' )  => 'bottom_left',
                                    esc_html__( 'Bottom Right', 'milo-bibo' ) => 'bottom_right',
                                ),
                                'dependency'  => array(
                                    'element' => 'layout_type',
                                    'value'   => array('style_1', 'style_3'),
                                ),
                            ),
                            array(
                                'type'        => 'dropdown',
                                'heading'     => esc_html__( 'Shadow Type', 'milo-bibo' ),
                                'param_name'  => 'shadow_type',
                                'admin_label' => true,
                                'value'       => array(
                                    esc_html__( 'Background', 'milo-bibo' ) => 'background',
                                    esc_html__( 'Border', 'milo-bibo' )     => 'border',
                                ),
                                'dependency'  => array(
                                    'element' => 'layout_type',
                                    'value'   => array('style_1'),
                                ),
                            ),
                            array(
                                'type'        => 'textarea',
                                'heading'     => esc_html__( 'Description', 'milo-bibo' ),
                                'param_name'  => 'description',
                                'admin_label' => true,
                                'dependency'  => array(
                                    'element' => 'layout_type',
                                    'value'   => array('style_3'),
                                ),
                            ),
                            array(
                                'type'             => 'colorpicker',
                                'heading'          => esc_html__( 'Background color', 'milo-bibo' ),
                                'param_name'       => 'background_color',
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                'dependency'       => array(
                                    'element' => 'layout_type',
                                    'value'   => array('style_3'),
                                ),
                            ),
                            array(
                                'type'       => 'dropdown',
                                'heading'    => esc_html__( 'Horizontal Align', 'milo-bibo' ),
                                'param_name' => 'horizontal_align',
                                'value'      => array(
                                    esc_html__( 'Left', 'milo-bibo' )   => 'left',
                                    esc_html__( 'Center', 'milo-bibo' ) => 'center', 
                                    esc_html__( 'Right', 'milo-bibo' )  => 'right', 
                                ),
                                'dependency'       => array(
                                    'element' => 'layout_type',
                                    'value'   => array('style_4', 'style_8'),
                                ),
                            ),
                            array(
                                'type'        => 'dropdown',
                                'heading'     => esc_html__( 'Vertical Align', 'milo-bibo' ),
                                'param_name'  => 'vertical_align',
                                'admin_label' => true,
                                'value'      => array(
                                    esc_html__( 'Top', 'milo-bibo' )    => 'top',
                                    esc_html__( 'Middle', 'milo-bibo' ) => 'middle', 
                                    esc_html__( 'Bottom', 'milo-bibo' ) => 'bottom', 
                                ),
                                'dependency'       => array(
                                    'element' => 'layout_type',
                                    'value'   => array('style_4', 'style_8'),
                                ),
                            ),
                            array(
                                'type'             => 'colorpicker',
                                'heading'          => esc_html__( 'Title Text color', 'milo-bibo' ),
                                'param_name'       => 'text_color_title',
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                'dependency'       => array(
                                    'element' => 'layout_type',
                                    'value'   => array('style_4', 'style_8'),
                                ),
                            ),
                            array(
                                'type'             => 'colorpicker',
                                'heading'          => esc_html__( 'Sub Title Text color', 'milo-bibo' ),
                                'param_name'       => 'text_color_sub_title',
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                'dependency'       => array(
                                    'element' => 'layout_type',
                                    'value'   => array('style_4', 'style_8'),
                                ),
                            ),
                            array(
                                'type'             => 'colorpicker',
                                'heading'          => esc_html__( 'Button Text color', 'milo-bibo' ),
                                'param_name'       => 'text_color_button',
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                'dependency'       => array(
                                    'element' => 'layout_type',
                                    'value'   => array('style_4', 'style_8'),
                                ),
                            ),
                            array(
                                'type'        => 'textfield',
                                'heading'     => esc_html__( 'Icon Class', 'milo-bibo' ),
                                'param_name'  => 'icon_class',
                                'admin_label' => true,
                                'dependency'  => array(
                                    'element' => 'layout_type',
                                    'value'   => array('style_5'),
                                ),
                            ),
                            array(
                                'type'        => 'dropdown',
                                'heading'     => esc_html__( 'Right Angle', 'milo-bibo' ),
                                'param_name'  => 'right_angle',
                                'admin_label' => true,
                                'value'      => array(
                                    esc_html__( 'Top Left', 'milo-bibo' )     => 'top-left',
                                    esc_html__( 'Top Right', 'milo-bibo' )    => 'top-right', 
                                    esc_html__( 'Bottom Right', 'milo-bibo' ) => 'bottom-right',
                                    esc_html__( 'Bottom Left', 'milo-bibo' )  => 'bottom-left', 
                                ),
                                'dependency'  => array(
                                    'element' => 'layout_type',
                                    'value'   => array('style_7'),
                                ),
                            ),
                            array(
                                'type'             => 'vc_link',
                                'heading'          => esc_html__( 'Link', 'milo-bibo' ),
                                'param_name'       => 'link',
                                'admin_label'      => true,
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                            ),
                            array(
                                'type'        => 'attach_image',
                                'heading'     => esc_html__( 'Banner\'s Image', 'milo-bibo' ),
                                'param_name'  => 'image',
                                'admin_label' => true,
                                'dependency' => array(
                                    'element' => 'layout_type',
                                    'value'   => array('style_1', 'style_2', 'style_4', 'style_8'),
                                ),
                            ),
                            array(
                                'type'        => 'dropdown',
                                'heading'     => esc_html__( 'Image Position', 'milo-bibo' ),
                                'param_name'  => 'image_position',
                                'admin_label' => true,
                                'value'      => array(
                                    esc_html__( 'Left', 'milo-bibo' )     => 'image-left',
                                    esc_html__( 'Right', 'milo-bibo' )    => 'image-right',
                                ),
                                'dependency'  => array(
                                    'element' => 'layout_type',
                                    'value'   => array('style_8'),
                                ),
                            ),
                            array(
                                'type'       => 'css_editor',
                                'heading'    => esc_html__( 'CSS box', 'milo-bibo' ),
                                'param_name' => 'css',
                                'group'      => esc_html__( 'Design Options', 'milo-bibo' ),
                            ),
                            $add_css_animation,
                            $add_duration_animation,
                            $add_delay_animation,
                            $add_el_class
                        )
                    )
                );

                /* 13. MILO CLIENTS */
                vc_map(
                    array(
                        'name'        => esc_html__( 'Milo Clients', 'milo-bibo' ),
                        'base'        => 'milo_clients',
                        'icon'        => 'fa fa-users milo-vc-icon',
                        'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                        'description' => esc_html__( 'Display client logos', 'milo-bibo' ),
                        'params'      => array(
                            array(
                                'type'        => 'param_group',
                                'heading'     => esc_html__( 'Clients', 'milo-bibo' ),
                                'param_name'  => 'clients',
                                'description' => esc_html__( 'Enter values for client - name, image and url.', 'milo-bibo' ),
                                'value'       => urlencode( json_encode( array(
                                    array(
                                        'name' => esc_html__( 'Themeforest', 'milo-bibo' ),
                                        'logo' => '',
                                        'url'  => '',
                                    ),
                                    array(
                                        'name'  => esc_html__( 'Codecanyon', 'milo-bibo' ),
                                        'value' => '',
                                        'url'   => '',
                                    ),
                                    array(
                                        'name'  => esc_html__( 'Photodune', 'milo-bibo' ),
                                        'value' => '',
                                        'url'   => '',
                                    ),
                                ) ) ),
                                'params' => array(
                                    array(
                                        'type'        => 'textfield',
                                        'heading'     => esc_html__( 'Name', 'milo-bibo' ),
                                        'param_name'  => 'name',
                                        'description' => esc_html__( 'Enter name of client.', 'milo-bibo' ),
                                        'admin_label' => true,
                                    ),
                                    array(
                                        'type'        => 'attach_image',
                                        'heading'     => esc_html__( 'Image', 'milo-bibo' ),
                                        'param_name'  => 'logo',
                                        'description' => esc_html__( 'Please select client\' logo.', 'milo-bibo' ),
                                        'admin_label' => true,
                                    ),
                                    array(
                                        'type'        => 'textfield',
                                        'heading'     => esc_html__( 'Url', 'milo-bibo' ),
                                        'param_name'  => 'url',
                                        'description' => esc_html__( 'Please insert client\' link.', 'milo-bibo' ),
                                        'admin_label' => true,
                                    ),
                                ),
                            ),
                            array(
                                'type'       => 'dropdown',
                                'heading'    => esc_html__( 'AutoPlay', 'milo-bibo' ),
                                'param_name' => 'autoplay',
                                'value'      => array(
                                    esc_html__( 'Yes', 'milo-bibo') => 'true', 
                                    esc_html__( 'No', 'milo-bibo')  => 'false'
                                ),
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                            ),
                            array(
                                'type'             => 'textfield',
                                'heading'          => esc_html__( 'Slide Duration (ms)', 'milo-bibo' ),
                                'param_name'       => 'slide_duration',
                                'std'              => '3000',
                                'admin_label'      => true,
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                            ),
                            array(
                                'param_name'  => 'layout_type',
                                'heading'     => esc_html__( 'Choose layout', 'milo-bibo' ),
                                'description' => '',
                                'type'        => 'dropdown',
                                'value'       => array(
                                    esc_html__( 'Style 1', 'milo-bibo' )   => 'style_1',
                                    esc_html__( 'Style 2', 'milo-bibo' )   => 'style_2',
                                ),
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                            ),
                            array( 
                                'param_name'  => 'logo_per_slide', 
                                'heading'     => esc_html__( 'Logo per slide', 'milo-bibo' ), 
                                'type'        => 'textfield',
                                'value'       => '5',
                                'admin_label' => true,
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                            ),
                            $add_css_animation,
                            $add_duration_animation,
                            $add_delay_animation,
                            $add_el_class
                        ),
                    )
                );

                /* 14. MILO ICON BOX */          
                vc_map(
                    array(
                        'name'        => esc_html__( 'Milo Icon Box', 'milo-bibo' ),
                        'base'        => 'milo_icon_box',
                        'icon'        => 'fa fa-info milo-vc-icon',
                        'description' => esc_html__( 'Display Icon box from libraries', 'milo-bibo' ),
                        'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                        'params'      => array(
                            array(
                                'type'       => 'dropdown',
                                'heading'    => esc_html__( 'Layout Style', 'milo-bibo' ),
                                'param_name' => 'layout_type',
                                'value'      => array(
                                    esc_html__( 'Style 1', 'milo-bibo' ) => 'style_1',
                                    esc_html__( 'Style 2', 'milo-bibo' ) => 'style_2',
                                    esc_html__( 'Style 3', 'milo-bibo' ) => 'style_3',
                                    esc_html__( 'Style 4', 'milo-bibo' ) => 'style_4',
                                    esc_html__( 'Style 5', 'milo-bibo' ) => 'style_5',
                                    esc_html__( 'Style 6', 'milo-bibo' ) => 'style_6'
                                ),
                            ),
                            array(
                                'type'    => 'dropdown',
                                'heading' => esc_html__( 'Icon library', 'milo-bibo' ),
                                'value'   => array(
                                    esc_html__( 'Font Awesome', 'milo-bibo' ) => 'fontawesome',
                                    esc_html__( 'Open Iconic', 'milo-bibo' )  => 'openiconic',
                                    esc_html__( 'Typicons', 'milo-bibo' )     => 'typicons',
                                    esc_html__( 'Entypo', 'milo-bibo' )       => 'entypo',
                                    esc_html__( 'Linecons', 'milo-bibo' )     => 'linecons',
                                ),
                                'admin_label' => true,
                                'param_name'  => 'type',
                                'description' => esc_html__( 'Select icon library.', 'milo-bibo' ),
                            ),
                            array(
                                'type'       => 'iconpicker',
                                'heading'    => esc_html__( 'Icon', 'milo-bibo' ),
                                'param_name' => 'icon_fontawesome',
                                'value'      => 'fa fa-adjust', // default value to backend editor admin_label
                                'settings'   => array(
                                    'emptyIcon'    => false,
                                    // default true, display an "EMPTY" icon?
                                    'iconsPerPage' => 4000,
                                    // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
                                ),
                                'dependency' => array(
                                    'element' => 'type',
                                    'value'   => 'fontawesome',
                                ),
                                'description' => esc_html__( 'Select icon from library.', 'milo-bibo' ),
                            ),
                            array(
                                'type'       => 'iconpicker',
                                'heading'    => esc_html__( 'Icon', 'milo-bibo' ),
                                'param_name' => 'icon_openiconic',
                                'value'      => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
                                'settings'   => array(
                                    'emptyIcon'    => false, // default true, display an "EMPTY" icon?
                                    'type'         => 'openiconic',
                                    'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                                ),
                                'dependency' => array(
                                    'element' => 'type',
                                    'value'   => 'openiconic',
                                ),
                                'description' => esc_html__( 'Select icon from library.', 'milo-bibo' ),
                            ),
                            array(
                                'type'       => 'iconpicker',
                                'heading'    => esc_html__( 'Icon', 'milo-bibo' ),
                                'param_name' => 'icon_typicons',
                                'value'      => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
                                'settings'   => array(
                                    'emptyIcon'    => false, // default true, display an "EMPTY" icon?
                                    'type'         => 'typicons',
                                    'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                                ),
                                'dependency' => array(
                                    'element' => 'type',
                                    'value'   => 'typicons',
                                ),
                                'description' => esc_html__( 'Select icon from library.', 'milo-bibo' ),
                            ),
                            array(
                                'type'       => 'iconpicker',
                                'heading'    => esc_html__( 'Icon', 'milo-bibo' ),
                                'param_name' => 'icon_entypo',
                                'value'      => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
                                'settings'   => array(
                                    'emptyIcon'    => false, // default true, display an "EMPTY" icon?
                                    'type'         => 'entypo',
                                    'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                                ),
                                'dependency' => array(
                                    'element' => 'type',
                                    'value'   => 'entypo',
                                ),
                            ),
                            array(
                                'type'       => 'iconpicker',
                                'heading'    => esc_html__( 'Icon', 'milo-bibo' ),
                                'param_name' => 'icon_linecons',
                                'value'      => 'vc_li vc_li-heart', // default value to backend editor admin_label
                                'settings'   => array(
                                    'emptyIcon'    => false, // default true, display an "EMPTY" icon?
                                    'type'         => 'linecons',
                                    'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                                ),
                                'dependency' => array(
                                    'element' => 'type',
                                    'value'   => 'linecons',
                                ),
                                'description' => esc_html__( 'Select icon from library.', 'milo-bibo' ),
                            ),
                            array(
                                'type'               => 'dropdown',
                                'heading'            => esc_html__( 'Icon color', 'milo-bibo' ),
                                'param_name'         => 'color',
                                'value'              => array_merge( getVcShared( 'colors' ), array( esc_html__( 'Custom color', 'milo-bibo' ) => 'custom' ) ),
                                'description'        => esc_html__( 'Select icon color.', 'milo-bibo' ),
                                'param_holder_class' => 'vc_colored-dropdown',
                            ),
                            array(
                                'type'        => 'colorpicker',
                                'heading'     => esc_html__( 'Custom color', 'milo-bibo' ),
                                'param_name'  => 'custom_color',
                                'description' => esc_html__( 'Select custom icon color.', 'milo-bibo' ),
                                'dependency'  => array(
                                    'element' => 'color',
                                    'value'   => 'custom',
                                ),
                            ),
                            array(
                                'type'        => 'textfield',
                                'heading'     => esc_html__( 'Title', 'milo-bibo' ),
                                'param_name'  => 'title',
                                'admin_label' => true
                            ),
                            array(
                                'type'        => 'vc_link',
                                'heading'     => esc_html__( 'Link', 'milo-bibo' ),
                                'param_name'  => 'link',
                                'admin_label' => true
                            ),
                            array(
                                'type'        => 'textarea',
                                'heading'     => esc_html__( 'Description', 'milo-bibo' ),
                                'param_name'  => 'description',
                                'admin_label' => true,
                            ),
                            $add_css_animation,
                            $add_duration_animation,
                            $add_delay_animation,
                            $add_el_class
                        )
                    )
                );

                /* 15. MILO TEAM MEMBER */
                $taxonomies = array( 
                    'team_category',
                );
                $args = array(
                    'hide_empty' => 0,
                    'orderby'    => 'ASC'
                );
                $teammember_categories = get_terms( $taxonomies, $args );
                $teammember_cat = array();
                if ( is_array($teammember_categories) ) {
                    foreach ($teammember_categories as $cat) {
                        $teammember_cat[$cat->name] = $cat->slug;
                    }
                }

                $args = array(
                    'posts_per_page' => -1,
                    'post_type'      => 'milo_teammember',
                    'post_status'    => 'publish'
                );
                $list_teammember = array();
                $post_array     = get_posts($args);
                foreach ($post_array as $post) : setup_postdata($post);
                    $list_teammember[$post->post_title] = $post->ID;
                endforeach;

                wp_reset_postdata();

                vc_map(
                    array(
                        'base'        => 'milo_teammember',
                        'name'        => esc_html__( 'Milo Team Member', 'milo-bibo' ),
                        'icon'        => 'fa fa-users milo-vc-icon',
                        'description' => esc_html__( 'Display our team member', 'milo-bibo' ),
                        'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                        'params'      => array(
                            array(
                                'param_name'  => 'data_source',
                                'type'        => 'dropdown',
                                'heading'     => esc_html__( 'Source', 'milo-bibo' ),
                                'admin_label' => true,
                                'value'       => array(
                                    esc_html__( 'From Category', 'milo-bibo' )   => '',
                                    esc_html__( 'From Member IDs', 'milo-bibo' ) => 'list_id'
                                )
                            ),
                            array(
                                'param_name'  => 'category',
                                'type'        => 'multi-select',
                                'heading'     => esc_html__( 'Teammember Category', 'milo-bibo' ),
                                'admin_label' => true,
                                'options'     => $teammember_cat,
                                'dependency'  => array(
                                    'element' => 'data_source', 
                                    'value'   => array('')
                                ),
                            ),
                            array(
                                'param_name' => 'member_ids',
                                'type'       => 'multi-select',
                                'heading'    => esc_html__( 'Select Teammember', 'milo-bibo' ),
                                'options'    => $list_teammember,
                                'dependency' => array(
                                    'element' => 'data_source', 
                                    'value'   => array('list_id')
                                )
                            ),
                            array(
                                'param_name'       => 'layout_type',
                                'type'             => 'dropdown',
                                'heading'          => esc_html__( 'Layout Style', 'milo-bibo' ),
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                'value'            => array(
                                    esc_html__( 'Carousel', 'milo-bibo' )   => 'carousel'
                                ),
                            ),
                            array( 
                                'param_name'       => 'member_per_slide', 
                                'heading'          => esc_html__( 'Members per slide', 'milo-bibo' ), 
                                'type'             => 'textfield',
                                'value'            => '3',
                                'admin_label'      => true,
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                'dependency'       => array(
                                    'element' => 'layout_type', 
                                    'value'   => array('carousel')
                                )
                            ),
                            array(
                                'param_name' => 'order',
                                'type'       => 'dropdown',
                                'heading'    => esc_html__( 'Order Post Date By', 'milo-bibo' ),
                                'value'      => array(
                                    esc_html__('Descending', 'milo-bibo') => 'DESC', 
                                    esc_html__('Ascending', 'milo-bibo')  => 'ASC'
                                )
                            ),
                            array(
                                'param_name' => 'autoplay',
                                'type'       => 'dropdown',
                                'heading'    => esc_html__( 'AutoPlay', 'milo-bibo' ),
                                'value'      => array(
                                    esc_html__( 'Yes', 'milo-bibo') => 'true', 
                                    esc_html__( 'No', 'milo-bibo')  => 'false'
                                ),
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding', 
                            ),
                            array(
                                'param_name'       => 'slide_duration',
                                'type'             => 'textfield',
                                'heading'          => esc_html__( 'Slide Duration (ms)', 'milo-bibo' ),
                                'std'              => '3000',
                                'admin_label'      => true,
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding', 
                            ),
                            $add_css_animation,
                            $add_duration_animation,
                            $add_delay_animation,
                            $add_el_class
                        )
                    )
                );

                /* 16. MILO GOOGLE MAPS */
                vc_map(
                    array(
                        'name'        => esc_html__( 'Milo Google Maps', 'milo-bibo' ),
                        'base'        => 'milo_gmaps',
                        'icon'        => 'fa fa-map-marker milo-vc-icon',
                        'description' => esc_html__( 'Display Google Maps with information', 'milo-bibo' ),
                        'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                        'params'      => array(
                            array(
                                'param_name'  => 'api_key',
                                'type'        => 'textfield',
                                'class'       => '',
                                'heading'     => esc_html__( 'API key', 'milo-bibo' ),
                                'value'       => esc_html__( 'AIzaSyBiZjBDjop9d8CDhkFORzUyZAiFcOaHe5M', 'milo-bibo' ),
                                'admin_label' => true,
                                'description' => esc_html__( 'Reference: https://developers.google.com/maps/documentation/javascript/get-api-key', 'milo-bibo' )
                            ),
                            array(
                                'param_name' => 'layout_type',
                                'type'       => 'dropdown',
                                'class'      => '',
                                'heading'    => esc_html__( 'Choose style layout','milo-bibo' ),
                                'value'      => array(
                                    esc_html__( 'Show Map', 'milo-bibo' )      => 'show_map',
                                    // esc_html__( 'Toggle Button', 'milo-bibo' ) => 'toggle_button'
                                )
                            ),
                            array(
                                'param_name'  => 'light_map',
                                'type'        => 'dropdown',
                                'class'       => '',
                                'heading'     => esc_html__( 'Choose style map','milo-bibo' ),
                                'admin_label' => true,
                                'value'       => array(
                                    esc_html__( 'Basic', 'milo-bibo' )          => 'basic',
                                    esc_html__( 'Light green', 'milo-bibo' )    => 'light_green',
                                    esc_html__( 'Shades of Grey', 'milo-bibo' ) => 'shades_grey',
                                    esc_html__( 'Ultra Light', 'milo-bibo' )    => 'ultra_light',
                                    esc_html__( 'Custom', 'milo-bibo' )         => 'custom',
                                )
                            ),
                            array(
                                'param_name'  => 'light_map_custom',
                                'type'        => 'textarea_raw_html',
                                'class'       => '',
                                'heading'     => esc_html__( 'Style map custom', 'milo-bibo' ),
                                'value'       => esc_html__( '', 'milo-bibo' ),
                                'admin_label' => false,
                                'description' => esc_html__( 'Reference: https://snazzymaps.com/','milo-bibo' ),
                                'dependency' => array(
                                    'element' => 'light_map',
                                    'value'   => array('custom')
                                ),
                            ),
                            array(
                                'param_name'  => 'info_title',
                                'type'        => 'textarea',
                                'class'       => '',
                                'heading'     => esc_html__( 'Info window title', 'milo-bibo' ),
                                'value'       => esc_html__( 'My address', 'milo-bibo' ),
                                'description' => ''
                            ),
                            array(
                                'param_name'  => 'info_image',
                                'type'        => 'attach_image',
                                'class'       => '',
                                'heading'     => esc_html__( 'Info window image', 'milo-bibo' ),
                                'value'       => esc_html__( 'My address', 'milo-bibo' ),
                                'description' => ''
                            ),
                            array(
                                'param_name'  => 'height',
                                'type'        => 'textfield',
                                'class'       => '',
                                'heading'     => esc_html__( 'Map height', 'milo-bibo' ),
                                'value'       => esc_html__( '400px', 'milo-bibo' ),
                                'description' => esc_html__( 'Example: 500px', 'milo-bibo' )
                            ),
                            array(
                                'param_name'  => 'lat',
                                'type'        => 'textfield',
                                'class'       => '',
                                'heading'     => esc_html__( 'Latitude','milo-bibo' ),
                                'value'       => esc_html__( '40.843292','milo-bibo' ),
                                'description' => esc_html__( 'Get longtitude from here: https://www.google.com/maps', 'milo-bibo' )
                            ),
                            array(
                                'param_name'  => 'lng',
                                'type'        => 'textfield',
                                'class'       => '',
                                'heading'     => esc_html__( 'Longitude', 'milo-bibo' ),
                                'value'       => esc_html__( '-73.864512', 'milo-bibo' ),
                                'description' => esc_html__( 'Get longtitude from here: https://www.google.com/maps', 'milo-bibo' )
                            ),
                            array(
                                'param_name'  => 'zoom',
                                'type'        => 'textfield',
                                'class'       => '',
                                'heading'     => esc_html__( 'Zoom', 'milo-bibo' ),
                                'value'       => esc_html__( '12', 'milo-bibo' ),
                                'description' => esc_html__( 'Example : 20 for a close view, 5 for a far view', 'milo-bibo' )
                            ),
                            array(
                                'param_name'  => 'image',
                                'type'        => 'attach_image',
                                'heading'     => esc_html__( 'Image to replace marker', 'milo-bibo' ),
                                'value'       => '',
                                'description' => esc_html__( 'Select the image to replace the original map marker (optional).', 'milo-bibo' )
                            ),
                            $add_css_animation,
                            $add_duration_animation,
                            $add_delay_animation,
                            $add_el_class
                        )
                    )
                );
               
                /* 17. MILO WIDGET */
                vc_map(
                    array(
                        'name'        => esc_html__( 'Milo Widget', 'milo-bibo' ),
                        'base'        => 'milo_widget',
                        'class'       => 'milo_widget',
                        'icon'        => 'fa fa-align-justify milo-vc-icon',
                        'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                        'description' => esc_html__( 'Display widgets.', 'milo-bibo' ),
                        'params'      => array(
                            array(
                                'type'        => 'widgetised_sidebars',
                                'heading'     => esc_html__( 'Sidebar', 'milo-bibo' ),
                                'param_name'  => 'sidebar_id',
                                'description' => esc_html__( 'Select widget area to display.', 'milo-bibo' ),
                            ),

                            $add_css_animation,
                            $add_duration_animation,
                            $add_delay_animation,
                            $add_el_class
                        ),
                    )
                );
                /* 18. MILO COUNTER */
                vc_map(
                    array(
                        'name'        => esc_html__('Milo Counter', 'milo-bibo'),
                        'base'        => 'milo_counter',
                        'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                        'icon'        => 'fa fa-tachometer milo-vc-icon',
                        'description' => esc_html__( 'Display Counter Statistical', 'milo-bibo' ),
                        'params'      =>  array(
                            array(
                                'param_name'    => 'layout_type',
                                'heading'       => esc_html__( 'Style', 'milo-bibo' ),
                                'description'   => 'Select style for display statistical.',
                                'type'          => 'dropdown',
                                'holder'        => 'div',
                                'value'         => array(
                                    esc_html__( 'Style 1 (Circle)', 'milo-bibo' ) =>  'style_1',
                                    esc_html__( 'Style 2', 'milo-bibo' )          =>  'style_2',
                                )
                            ),
                            array(
                                'type'          =>  'textfield',
                                'heading'       =>  esc_html__( 'Title', 'milo-bibo' ),
                                'description'   =>  'Enter text for counter title',
                                'param_name'    =>  'title',
                                'value'         =>  'This is title.'
                            ),
                            array(
                                'type'          =>  'textfield',
                                'heading'       =>  esc_html__( 'Number', 'milo-bibo' ),
                                'description'   => 'Enter number of statistical. Example 1466.',
                                'param_name'    =>  'number',
                                'value'         =>  '123'
                            ),

                            $add_css_animation,
                            $add_duration_animation,
                            $add_delay_animation,
                            $add_el_class
                        )
                    )
                );
                
                /* 20. MILO IMAGE GALLERY */          
                vc_map(
                    array(
                        'name'        => esc_html__( 'Milo Images Gallery', 'milo-bibo' ),
                        'base'        => 'milo_images_gallery',
                        'icon'        => 'fa fa-users milo-vc-icon',
                        'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                        'description' => esc_html__( 'Display images gallery', 'milo-bibo' ),
                        'params'      => array(
                            array(
                                'param_name'  => 'images',
                                'type'        => 'param_group',
                                'heading'     => esc_html__( 'Images', 'milo-bibo' ),
                                'description' => esc_html__( 'Enter values for images - name, image and url.', 'milo-bibo' ),
                                'value'       => urlencode( json_encode( array(
                                    array(
                                        'name' => esc_html__( 'Themeforest', 'milo-bibo' ),
                                        'logo' => '',
                                        'url'  => '',
                                    ),
                                    array(
                                        'name'  => esc_html__( 'Codecanyon', 'milo-bibo' ),
                                        'value' => '',
                                        'url'   => '',
                                    ),
                                    array(
                                        'name'  => esc_html__( 'Photodune', 'milo-bibo' ),
                                        'value' => '',
                                        'url'   => '',
                                    ),
                                ) ) ),
                                'params' => array(
                                    array(
                                        'param_name'  => 'name',
                                        'type'        => 'textfield',
                                        'heading'     => esc_html__( 'Name', 'milo-bibo' ),
                                        'description' => esc_html__( 'Enter name of image.', 'milo-bibo' ),
                                        'admin_label' => true,
                                    ),
                                    array(
                                        'param_name'  => 'image',
                                        'type'        => 'attach_image',
                                        'heading'     => esc_html__( 'Image', 'milo-bibo' ),
                                        'description' => esc_html__( 'Please select image.', 'milo-bibo' ),
                                        'admin_label' => true,
                                    ),
                                    array(
                                        'type'        => 'textfield',
                                        'heading'     => esc_html__( 'Url', 'milo-bibo' ),
                                        'param_name'  => 'url',
                                        'description' => esc_html__( 'Please insert image\' link.', 'milo-bibo' ),
                                        'admin_label' => true,
                                    ),
                                ),
                            ),
                            array(
                                'param_name'  => 'layout_type',
                                'heading'     => esc_html__( 'Choose layout', 'milo-bibo' ),
                                'description' => '',
                                'type'        => 'dropdown',
                                'value'       => array(
                                    esc_html__( 'Style 1', 'milo-bibo' )   => 'style_1',
                                    esc_html__( 'Style 2', 'milo-bibo' )   => 'style_2',
                                ),
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                            ),
                            array( 
                                'param_name'  => 'columns', 
                                'heading'     => esc_html__( 'Columns', 'milo-bibo' ), 
                                'type'        => 'dropdown',
                                'value'       => array( 2, 3, 4, 5 ),
                                'admin_label' => true,
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                            ),
                            $add_css_animation,
                            $add_duration_animation,
                            $add_delay_animation,
                            $add_el_class
                        ),
                    )
                );
                /* 21. MILO DECORATION */
                vc_map(
                    array(
                        'name'        => esc_html__( 'Milo Decoration', 'milo-bibo' ),
                        'base'        => 'milo_decoration',
                        'class'       => 'milo_decoration',
                        'icon'        => 'fa fa-slack milo-vc-icon',
                        'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                        'description' => esc_html__( 'Display decoration.', 'milo-bibo' ),
                        'params'      => array(
                            array(
                                'type'       => 'dropdown',
                                'class'      => '',
                                'heading'    => esc_html__( 'Choose decoration layout', 'milo-bibo' ),
                                'param_name' => 'layout_type',
                                'value'      => array(
                                    esc_html__( 'Rectangle', 'milo-bibo' ) => 'rectangle',
                                    esc_html__( 'Circle', 'milo-bibo' )    => 'circle',
                                    esc_html__( 'Line', 'milo-bibo' )      => 'line'
                                )
                            ),
                            array(
                                'type'        => 'textfield',
                                'class'       => '',
                                'heading'     => esc_html__( 'Width', 'milo-bibo' ),
                                'param_name'  => 'width',
                                'value'       => esc_html__( '300px', 'milo-bibo' ),
                                'description' => esc_html__( 'Example : 300px or 70%','milo-bibo' ),
                                'dependency'       => array(
                                    'element' => 'layout_type', 
                                    'value'   => array('rectangle', 'circle', 'line')
                                )
                            ),
                            array(
                                'type'        => 'textfield',
                                'class'       => '',
                                'heading'     => esc_html__( 'Height', 'milo-bibo' ),
                                'param_name'  => 'height',
                                'value'       => esc_html__( '400px', 'milo-bibo' ),
                                'description' => esc_html__( 'Example : 300px (not use % for height)','milo-bibo' ),
                                'dependency'       => array(
                                    'element' => 'layout_type', 
                                    'value'   => array('rectangle', 'circle')
                                )
                            ),
                            array(
                                'type'       => 'css_editor',
                                'heading'    => esc_html__( 'CSS box', 'milo-bibo' ),
                                'param_name' => 'css',
                                'group'      => esc_html__( 'Design Options', 'milo-bibo' ),
                            ),
                            $add_css_animation,
                            $add_duration_animation,
                            $add_delay_animation,
                            $add_el_class
                        ),
                    )
                );
                /* 22. MILO VIDEO */
                vc_map(
                    array(
                        'name'        => esc_html__('Milo Video', 'milo-bibo'),
                        'base'        => 'milo_video',
                        'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                        'icon'        => 'fa fa-play-circle milo-vc-icon',
                        'description' => esc_html__( 'Display Video', 'milo-bibo' ),
                        'params'      =>  array(
                            array(
                                'param_name'  => 'layout_type',
                                'heading'     => esc_html__( 'Style', 'milo-bibo' ),
                                'description' => 'Select style for display video.',
                                'type'        => 'dropdown',
                                'holder'      => 'div',
                                'value'       => array(
                                    esc_html__( 'Style 1 (Popup)', 'milo-bibo' ) =>  'style_1',
                                    esc_html__( 'Style 2 (Title)', 'milo-bibo' ) =>  'style_2',
                                )
                            ),
                            array(
                                'param_name'  =>  'video_url',
                                'type'        =>  'textfield',
                                'heading'     =>  esc_html__( 'Url', 'milo-bibo' ),
                                'description' =>  'Enter url for video from youtube or vimeo. Example: https://www.youtube.com/watch?v=YE7VzlLtp-4',
                                'value'       =>  ''
                            ),
                            array(
                                'param_name'  => 'video_image',
                                'type'        => 'attach_image',
                                'heading'     => esc_html__( 'Image Background', 'milo-bibo' ),
                                'description' => esc_html__( 'Please select image background.', 'milo-bibo' ),
                                'admin_label' => true,
                            ),
                            array(
                                'param_name'  => 'title_left',
                                'type'        => 'textfield',
                                'heading'     => esc_html__( 'Title Left Icon', 'milo-bibo' ),
                                'description' => esc_html__( 'Enter left title of icon.', 'milo-bibo' ),
                                'admin_label' => true,
                                'dependency'  => array(
                                    'element' => 'layout_type', 
                                    'value'   => array('style_2')
                                )
                            ),
                            array(
                                'param_name'  => 'title_right',
                                'type'        => 'textfield',
                                'heading'     => esc_html__( 'Title Right Icon', 'milo-bibo' ),
                                'description' => esc_html__( 'Enter right title of icon.', 'milo-bibo' ),
                                'admin_label' => true,
                                'dependency'  => array(
                                    'element' => 'layout_type', 
                                    'value'   => array('style_2')
                                )
                            ),
                            array(
                                'type'       => 'css_editor',
                                'heading'    => esc_html__( 'CSS box', 'milo-bibo' ),
                                'param_name' => 'css',
                                'group'      => esc_html__( 'Design Options', 'milo-bibo' ),
                            ),
                            $add_css_animation,
                            $add_duration_animation,
                            $add_delay_animation,
                            $add_el_class
                        )
                    )
                );

                /* 23. MILO BANNER SLIDESHOW */
                vc_map(
                    array(
                        'name'        => esc_html__( 'Milo Banner Slideshow', 'milo-bibo' ),
                        'base'        => 'milo_banner_slideshow',
                        'icon'        => 'fa fa-image milo-vc-icon',
                        'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                        'description' => esc_html__( 'Display images banner as slideshow', 'milo-bibo' ),
                        'params'      => array(
                            array(
                                'param_name'  => 'images',
                                'type'        => 'param_group',
                                'heading'     => esc_html__( 'Images', 'milo-bibo' ),
                                'description' => esc_html__( 'Enter values for images - title, image and url.', 'milo-bibo' ),
                                'value'       => urlencode( json_encode( array(
                                    array(
                                        'title'       => esc_html__( 'Themeforest', 'milo-bibo' ),
                                        'sub_title'   => '',
                                        'description' => '',
                                        'image'       => '',
                                        'link'        => '',
                                    ),
                                    array(
                                        'title'       => esc_html__( 'Codecanyon', 'milo-bibo' ),
                                        'sub_title'   => '',
                                        'description' => '',
                                        'image'       => '',
                                        'link'        => '',
                                    ),
                                    array(
                                        'title'       => esc_html__( 'Photodune', 'milo-bibo' ),
                                        'sub_title'   => '',
                                        'description' => '',
                                        'image'       => '',
                                        'link'        => '',
                                    ),
                                ) ) ),
                                'params' => array(
                                    array(
                                        'param_name'  => 'title',
                                        'type'        => 'textfield',
                                        'heading'     => esc_html__( 'Title', 'milo-bibo' ),
                                        'description' => esc_html__( 'Enter title of banner.', 'milo-bibo' ),
                                        'admin_label' => true,
                                    ),
                                    array(
                                        'param_name'  => 'sub_title',
                                        'type'        => 'textfield',
                                        'heading'     => esc_html__( 'Sub Title', 'milo-bibo' ),
                                        'description' => esc_html__( 'Enter sub title of banner.', 'milo-bibo' ),
                                        'admin_label' => false,
                                    ),
                                    array(
                                        'param_name'  => 'description',
                                        'type'        => 'textarea',
                                        'heading'     => esc_html__( 'Description', 'milo-bibo' ),
                                        'description' => esc_html__( 'Enter description of banner.', 'milo-bibo' ),
                                        'admin_label' => false,
                                    ),
                                    array(
                                        'param_name'  => 'image',
                                        'type'        => 'attach_image',
                                        'heading'     => esc_html__( 'Image', 'milo-bibo' ),
                                        'description' => esc_html__( 'Please select banner.', 'milo-bibo' ),
                                        'admin_label' => true,
                                    ),
                                    array(
                                        'param_name'  => 'link',
                                        'type'        => 'vc_link',
                                        'heading'     => esc_html__( 'Link', 'milo-bibo' ),
                                        'description' => esc_html__( 'Please insert banner\' link.', 'milo-bibo' ),
                                        'admin_label' => false,
                                    ),
                                ),
                            ),
                            array(
                                'param_name'  => 'layout_type',
                                'heading'     => esc_html__( 'Choose layout', 'milo-bibo' ),
                                'description' => '',
                                'type'        => 'dropdown',
                                'value'       => array(
                                    esc_html__( 'Carousel Slideshow', 'milo-bibo' ) => 'carousel',
                                ),
                                'admin_label' => true,
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                            ),
                            array( 
                                'param_name'  => 'columns', 
                                'heading'     => esc_html__( 'Columns', 'milo-bibo' ), 
                                'type'        => 'dropdown',
                                'value'       => array( 2, 3, 4, 5 ),
                                'admin_label' => true,
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                            ),
                            array(
                                'type'       => 'dropdown',
                                'heading'    => esc_html__( 'AutoPlay', 'milo-bibo' ),
                                'param_name' => 'autoplay',
                                'value'      => array(
                                    esc_html__( 'Yes', 'milo-bibo') => 'true', 
                                    esc_html__( 'No', 'milo-bibo')  => 'false'
                                ),
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                'dependency'  => array(
                                    'element'   => 'layout_type',
                                    'value'     => array( 'carousel', 'carousel_2' )
                                )
                            ),
                            array(
                                'type'             => 'textfield',
                                'heading'          => esc_html__( 'Slide Duration (ms)', 'milo-bibo' ),
                                'param_name'       => 'slide_duration',
                                'std'              => '6000',
                                'admin_label'      => true,
                                'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
                                'dependency'  => array(
                                    'element'   => 'layout_type',
                                    'value'     => array( 'carousel', 'carousel_2' )
                                )
                            ),
                            $add_css_animation,
                            $add_duration_animation,
                            $add_delay_animation,
                            $add_el_class
                        ),
                    )
                );

                /* 24. MILO FOOTER CONTACT */
                vc_map(
                    array(
                        'name'        => esc_html__('Milo Footer Contact', 'milo-bibo'),
                        'base'        => 'milo_footer_contact',
                        'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                        'icon'        => 'fa fa-bars milo-vc-icon',
                        'description' => esc_html__( 'Display Footer Contact', 'milo-bibo' ),
                        'params'      =>  array(
                            array(
                                'param_name'  => 'contacts',
                                'type'        => 'param_group',
                                'heading'     => esc_html__( 'Contact Information List', 'milo-bibo' ),
                                'description' => esc_html__( 'Insert information for Contact Information List.', 'milo-bibo' ),
                                'value'       => urlencode( json_encode( array(
                                    array(
                                        'title'       => esc_html__( 'Address', 'milo-bibo' ),
                                        'description' => '',
                                    ),
                                    array(
                                        'title'       => esc_html__( 'Phone', 'milo-bibo' ),
                                        'description' => '',
                                    ),
                                    array(
                                        'title'       => esc_html__( 'Email', 'milo-bibo' ),
                                        'description' => '',
                                    ),
                                ) ) ),
                                'params' => array(
                                    // Contact Information
                                    array(
                                        'param_name'  => 'title',
                                        'type'        => 'textfield',
                                        'heading'     => esc_html__( 'Title', 'milo-bibo' ),
                                        'description' => esc_html__( 'Enter title of contact information.', 'milo-bibo' ),
                                        'admin_label' => true,
                                    ),
                                    array(
                                        'param_name'  => 'description',
                                        'type'        => 'textarea',
                                        'heading'     => esc_html__( 'Description', 'milo-bibo' ),
                                        'description' => esc_html__( 'Enter description of contact information.', 'milo-bibo' ),
                                        'admin_label' => true,
                                    ),
                                    // Contact Information Icon
                                    array(
                                        'param_name' => 'icon_library',
                                        'type'       => 'dropdown',
                                        'heading'    => esc_html__( 'Icon library', 'milo-bibo' ),
                                        'value'      => array(
                                            esc_html__( 'Font Awesome', 'milo-bibo' )   => 'fontawesome',
                                            esc_html__( 'Open Iconic', 'milo-bibo' )    => 'openiconic',
                                            esc_html__( 'Typicons', 'milo-bibo' )       => 'typicons',
                                            esc_html__( 'Entypo', 'milo-bibo' )         => 'entypo',
                                            esc_html__( 'Linecons', 'milo-bibo' )       => 'linecons',
                                        ),
                                        'admin_label' => false,
                                        'description' => esc_html__( 'Select icon library.', 'milo-bibo' ),
                                    ),
                                    array(
                                        'type'       => 'iconpicker',
                                        'heading'    => esc_html__( 'Icon', 'milo-bibo' ),
                                        'param_name' => 'icon_fontawesome',
                                        'value'      => 'fa fa-adjust', // default value to backend editor admin_label
                                        'settings'   => array(
                                            'emptyIcon'    => false,
                                            // default true, display an "EMPTY" icon?
                                            'iconsPerPage' => 4000,
                                            // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
                                        ),
                                        'dependency' => array(
                                            'element' => 'icon_library',
                                            'value'   => 'fontawesome',
                                        ),
                                        'description' => esc_html__( 'Select icon from library.', 'milo-bibo' ),
                                    ),
                                    array(
                                        'type'       => 'iconpicker',
                                        'heading'    => esc_html__( 'Icon', 'milo-bibo' ),
                                        'param_name' => 'icon_openiconic',
                                        'value'      => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
                                        'settings'   => array(
                                            'emptyIcon'    => false, // default true, display an "EMPTY" icon?
                                            'type'         => 'openiconic',
                                            'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                                        ),
                                        'dependency' => array(
                                            'element' => 'icon_library',
                                            'value'   => 'openiconic',
                                        ),
                                        'description' => esc_html__( 'Select icon from library.', 'milo-bibo' ),
                                    ),
                                    array(
                                        'type'       => 'iconpicker',
                                        'heading'    => esc_html__( 'Icon', 'milo-bibo' ),
                                        'param_name' => 'icon_typicons',
                                        'value'      => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
                                        'settings'   => array(
                                            'emptyIcon'    => false, // default true, display an "EMPTY" icon?
                                            'type'         => 'typicons',
                                            'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                                        ),
                                        'dependency' => array(
                                            'element' => 'icon_library',
                                            'value'   => 'typicons',
                                        ),
                                        'description' => esc_html__( 'Select icon from library.', 'milo-bibo' ),
                                    ),
                                    array(
                                        'type'       => 'iconpicker',
                                        'heading'    => esc_html__( 'Icon', 'milo-bibo' ),
                                        'param_name' => 'icon_entypo',
                                        'value'      => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
                                        'settings'   => array(
                                            'emptyIcon'    => false, // default true, display an "EMPTY" icon?
                                            'type'         => 'entypo',
                                            'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                                        ),
                                        'dependency' => array(
                                            'element' => 'icon_library',
                                            'value'   => 'entypo',
                                        ),
                                    ),
                                    array(
                                        'type'       => 'iconpicker',
                                        'heading'    => esc_html__( 'Icon', 'milo-bibo' ),
                                        'param_name' => 'icon_linecons',
                                        'value'      => 'vc_li vc_li-heart', // default value to backend editor admin_label
                                        'settings'   => array(
                                            'emptyIcon'    => false, // default true, display an "EMPTY" icon?
                                            'type'         => 'linecons',
                                            'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                                        ),
                                        'dependency' => array(
                                            'element' => 'icon_library',
                                            'value'   => 'linecons',
                                        ),
                                        'description' => esc_html__( 'Select icon from library.', 'milo-bibo' ),
                                    ),
                                ),
                            ),
                            array(
                                'param_name'  => 'layout_type',
                                'heading'     => esc_html__( 'Style', 'milo-bibo' ),
                                'description' => 'Select style for display footer contact.',
                                'type'        => 'dropdown',
                                'value'       => array(
                                    esc_html__( 'Style 1 (Default)', 'milo-bibo' )     =>  'style_1',
                                    esc_html__( 'Style 2 (Footer 3)', 'milo-bibo' )     =>  'style_2',
                                ),
                                'admin_label' => true,
                            ),
                            array(
                                'type'       => 'css_editor',
                                'heading'    => esc_html__( 'CSS box', 'milo-bibo' ),
                                'param_name' => 'css',
                                'group'      => esc_html__( 'Design Options', 'milo-bibo' ),
                            ),
                            $add_css_animation,
                            $add_duration_animation,
                            $add_delay_animation,
                            $add_el_class
                        )
                    )
                );
                /* 25. MILO FOOTER LINK */
                vc_map(
                    array(
                        'name'        => esc_html__('Milo Footer Link', 'milo-bibo'),
                        'base'        => 'milo_footer_link',
                        'category'    => MILO_BIBO_CORE_SHORTCODE_CATEGORY,
                        'icon'        => 'fa fa-link milo-vc-icon',
                        'description' => esc_html__( 'Display Footer Link', 'milo-bibo' ),
                        'params'      =>  array(
                            array(
                                'param_name'  => 'links',
                                'type'        => 'param_group',
                                'heading'     => esc_html__( 'Footer Link List', 'milo-bibo' ),
                                'description' => esc_html__( 'Insert information for Footer Link List.', 'milo-bibo' ),
                                'value'       => urlencode( json_encode( array(
                                    array(
                                        'title'       => esc_html__( 'Link text', 'milo-bibo' ),
                                    ),
                                    array(
                                        'title'       => esc_html__( 'Link text', 'milo-bibo' ),
                                    ),
                                    array(
                                        'title'       => esc_html__( 'Link text', 'milo-bibo' ),
                                    ),
                                ) ) ),
                                'params' => array(
                                    // Link Information
                                    array(
                                        'param_name'  => 'title',
                                        'type'        => 'textfield',
                                        'heading'     => esc_html__( 'Title', 'milo-bibo' ),
                                        'description' => esc_html__( 'Enter title of footer link.', 'milo-bibo' ),
                                        'admin_label' => true,
                                    ),
                                    array(
                                        'param_name'  => 'link',
                                        'type'        => 'vc_link',
                                        'heading'     => esc_html__( 'Link', 'milo-bibo' ),
                                        'description' => esc_html__( 'Set link of footer link.', 'milo-bibo' ),
                                        'admin_label' => false,
                                    ),
                                ),
                            ),
                            array(
                                'param_name'  => 'layout_type',
                                'heading'     => esc_html__( 'Style', 'milo-bibo' ),
                                'description' => 'Select style for display footer link.',
                                'type'        => 'dropdown',
                                'value'       => array(
                                    esc_html__( 'Style 1 (Default Footer)', 'milo-bibo' ) =>  'style_1',
                                    esc_html__( 'Style 2 (Footer 2)', 'milo-bibo' )       =>  'style_2',
                                    esc_html__( 'Style 3 (Footer 3)', 'milo-bibo' )       =>  'style_3',
                                ),
                                'admin_label' => true,
                            ),
                            array(
                                'param_name' => 'css',
                                'type'       => 'css_editor',
                                'heading'    => esc_html__( 'CSS box', 'milo-bibo' ),
                                'group'      => esc_html__( 'Design Options', 'milo-bibo' ),
                            ),
                            $add_css_animation,
                            $add_duration_animation,
                            $add_delay_animation,
                            $add_el_class
                        )
                    )
                );

                /* 26. MILO  */
            }
        }
    }

    if ( ! function_exists('init_milo_framework_shortcodes') ) {
        function init_milo_framework_shortcodes() {
            return MILO_BiboCore_Shortcodes::init();
        }

        init_milo_framework_shortcodes();
    }
}