<?php
/**
 * @package    MiloTheme
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( ! defined( 'ABSPATH' ) ) die( '-1' );

if ( ! class_exists('Milo_Framework_Shortcode_SingleProduct') ) {
    class Milo_Framework_Shortcode_SingleProduct {
        function __construct() {
            add_shortcode( 'milo_single_product', array( $this, 'milo_single_product_shortcode' ) );
        }

        function milo_single_product_shortcode($atts) {
            $atts  = vc_map_get_attributes( 'milo_single_product', $atts );
            $product_style = $product_image = $bg_img = $id = $product_brand = $product_brand_logo = $el_class = $milo_animation = $css_animation = $duration = $delay =  '';
            extract(shortcode_atts(array(
                'product_style'      => '',
                'id'                 => '',
                'product_image'      => '',
                'product_brand_logo' => '',
                'el_class'           => '',
                'css_animation'      => '',
                'duration'           => '',
                'delay'              => '',
            ), $atts));
	           
            $milo_animation   .= ' ' . esc_attr($el_class);
            $milo_animation   .= MILO_BiboCore_Shortcodes::milo_get_css_animation($css_animation);
            $styles_animation = MILO_BiboCore_Shortcodes::milo_get_style_animation($duration, $delay);

            ob_start();
            $product = new WP_Query( 
                array( 
                    'p'         => $id,
                    'post_type' => 'product'
                ) 
            );

            $plugin_path = untrailingslashit(plugin_dir_path(__FILE__));

            switch ($product_style) {
                case 'style_1':
                    $template_path = $plugin_path . '/templates/style_1.php';
                    break;
                case 'style_2':
                    $template_path = $plugin_path . '/templates/style_2.php';
                    break;
                default:
                    $template_path = $plugin_path . '/templates/style_1.php';
            }

            ?>
            <?php if( $product->have_posts() ) : ?>
                <div class="<?php echo esc_attr($milo_animation . ' ' . $styles_animation); ?>">
                    <?php include($template_path); ?>
                </div>
            <?php else : ?>
                <div class="item-not-found"><?php echo esc_html__( 'No item found', 'milo-bibo' ) ?></div>
            <?php endif; ?>
        <?php
            $content =  ob_get_clean();
            return $content;         
        }
    }

    new Milo_Framework_Shortcode_SingleProduct();
}
?>