<?php
/**
 * @package    MiloTheme
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( ! defined( 'ABSPATH' ) ) die( '-1' );

if ( ! class_exists('Milo_Framework_Shortcode_Video') ) {
    class Milo_Framework_Shortcode_Video {
        function __construct() {
            add_shortcode( 'milo_video', array( $this, 'milo_video_shortcode' ) );
        }

        function milo_video_front_scripts() {
            wp_enqueue_script( 'milo-appear', plugins_url() . '/milo-bibo-core/includes/shortcodes/counter/assets/js/jquery.appear.js', false, true );
        }

        function milo_video_shortcode( $atts ) {
            $this->milo_video_front_scripts();

            $layout_type = $video_url = $video_image = $title_left = $title_right = $css = $el_class = $milo_animation = $css_animation = $duration = $delay = $styles_animation = '';
            extract(shortcode_atts(array(
                'layout_type'   => 'style_1',
                'video_url'     => '',
                'video_image'   => '',
                'title_left'    => '',
                'title_right'   => '',
                'css'           => '',
                'el_class'      => '',
                'css_animation' => '',
                'duration'      => '',
                'delay'         => '',
            ), $atts));

            $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), 'milo_video', $atts );

            $milo_animation   .= '';
            $milo_animation   .= MILO_BiboCore_Shortcodes::milo_get_css_animation($css_animation);
            $styles_animation = MILO_BiboCore_Shortcodes::milo_get_style_animation($duration, $delay);

            ob_start();

            $plugin_path = untrailingslashit(plugin_dir_path(__FILE__));

            switch ($layout_type) {
                case 'style_1':
                    $template_path = $plugin_path . '/templates/style_1.php';
                    break;
                case 'style_2':
                    $template_path = $plugin_path . '/templates/style_2.php';
                    break;
                default:
                    $template_path = $plugin_path . '/templates/style_1.php';
            }
            
        ?>
        <?php if( $video_url != '' ) : ?>
            <div class="<?php echo esc_attr($css_class . ' ' . $milo_animation . ' ' . $styles_animation); ?>">
                <?php include($template_path); ?>
            </div>
        <?php else : ?>
            <div class="item-not-found"><?php echo esc_html__( 'Please insert video Url!', 'milo-bibo' ) ?></div>
        <?php endif; ?>
        <?php
            $content =  ob_get_clean();
            return $content;
        }
    }

    new Milo_Framework_Shortcode_Video();
}