<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( ! defined( 'ABSPATH' ) ) die( '-1' );

if ( ! class_exists('Milo_Framework_Shortcode_Widget') ) {
    class Milo_Framework_Shortcode_Widget {
        function __construct() {
            add_shortcode( 'milo_widget', array($this, 'milo_widget_shortcode') );
        }

        function milo_widget_front_scripts() {
        }

        function milo_widget_shortcode($atts) {
            $this->milo_widget_front_scripts();

            $atts       = vc_map_get_attributes( 'milo_widget', $atts );
            $sidebar_id = $el_class = $milo_animation = $css_animation = $duration = $delay = $styles_animation = '';
            extract(shortcode_atts(array(
                'sidebar_id'    => '',
                'el_class'      => '',
                'css_animation' => '',
                'duration'      => '',
                'delay'         => '',
            ), $atts));
	           
            $milo_animation   .= ' ' . esc_attr($el_class);
            $milo_animation   .= MILO_BiboCore_Shortcodes::milo_get_css_animation($css_animation);
            $styles_animation = MILO_BiboCore_Shortcodes::milo_get_style_animation($duration, $delay);

            ob_start();
            
            $plugin_path = untrailingslashit(plugin_dir_path(__FILE__));

            $template_path = $plugin_path . '/templates/widget.php';

            ?>
            <?php if( $sidebar_id != '' ) : ?>
            <div class="<?php echo esc_attr($milo_animation . ' ' . $styles_animation); ?>">
                <?php include($template_path); ?>
            </div>
            <?php else : ?>
                <div class="widget-not-select"><?php echo esc_html__( 'Please select Widget!', 'milo-bibo' ); ?></div>
            <?php endif; ?>
        <?php
            $content =  ob_get_clean();
            return $content;         
        }
    }

    new Milo_Framework_Shortcode_Widget();
}