<?php
/**
 *	Milo Widget: Milo Product Search
 *
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 201, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class MILO_WC_Widget_Product_Search extends Milo_Widget {

	/**
	 * Constructor
	 */
	public function __construct() {
		$this->widget_cssclass    	= 'milo_widget milo_widget_product_search woocommerce';
		$this->widget_description	= __( 'Display a product sorting list.', 'milo-bibo' );
		$this->widget_id          	= 'milo_woocommerce_widget_product_search';
		$this->widget_name        	= __( 'Milo Product Search', 'milo-bibo' );
		$this->settings           	= array(
			'type'  => array(
                'type'    => 'select',
                'std'     => '',
                'label'   => esc_html__( 'Type', 'milo-bibo' ),
                'options' => array(
					'standard' => esc_html__( 'Standard Search', 'milo-bibo' ),
					'ajax'     => esc_html__( 'Ajax Search', 'milo-bibo' )
                )
            ),
		);
		
		parent::__construct();
	}

	/**
	 * Widget function
	 *
	 * @see WP_Widget
	 * @access public
	 * @param array $args
	 * @param array $instance
	 * @return void
	 */
	public function widget( $args, $instance ) {
		global $wp_query;
		
		extract( $args );
		
		$search_box_type   = 'standard';
		$search_box_submit = 'submit';
		$search_box_type              = ( ! empty( $instance['type'] ) ) ? $instance['type'] : '';
		if( $search_box_type == 'ajax' ) {
			$search_box_submit = 'button';
		}
		$output = '';

		$output .= 	'<div class="search-box-wrapper header-customize-item" data-hint-message="'.esc_html_e( "Please type at least 3 characters to search", "milo-bibo" ).'">
						<form method="get" action="'.esc_url(site_url()).'" class="search-type-'.esc_attr($search_box_type).' search-box">
							<input type="text" name="s" placeholder="'.esc_html_e( 'Search', 'milo-bibo' ).'"/>
							<button type="'.esc_attr($search_box_submit).'"><i class="wicon fa fa-search"></i></button>
						</form>
					</div>';

		echo $before_widget . $output . $after_widget;
	}
	
}
if ( ! function_exists('milo_register_product_search') ) {
	function milo_register_product_search() {
		register_widget('MILO_WC_Widget_Product_Search');
	}

	add_action('widgets_init', 'milo_register_product_search', 1);
}
