<?php
/**
 * @package    MiloTheme/Milo Bibo
 * @version    1.0.0
 * @author     Administrator <admin@milotheme.com>
 * @copyright  Copyright (c) 2016, MiloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://milotheme.com
*/

class Milo_Social_Profile extends  Milo_Widget {
    public function __construct() {
        $this->widget_cssclass    = 'widget-social-profile';
        $this->widget_description = esc_html__( 'Social profile widget', 'milo-bibo' );
        $this->widget_id          = 'milo-social-profile';
        $this->widget_name        = esc_html__( 'Milo: Social Profile', 'milo-bibo' );
        $this->settings           = array(
            'label' => array(
				'type'  => 'text',
				'std'   => '',
				'label' => esc_html__( 'Label','milo-bibo' )
            ),
	        'type'  => array(
                'type'    => 'select',
                'std'     => '',
                'label'   => esc_html__( 'Type', 'milo-bibo' ),
                'options' => array(
                    'social-icon-no-border' => esc_html__( 'No Border', 'milo-bibo' ),
                    'social-icon-bordered'  => esc_html__( 'Bordered', 'milo-bibo' )
                )
            ),
            'icons' => array(
				'type'    => 'multi-select',
				'label'   => esc_html__( 'Select social profiles', 'milo-bibo' ),
				'std'     => '',
				'options' => array(
					'twitter'    => esc_html__( 'Twitter', 'milo-bibo' ),
					'facebook'   => esc_html__( 'Facebook', 'milo-bibo' ),
					'dribbble'   => esc_html__( 'Dribbble', 'milo-bibo' ),
					'vimeo'      => esc_html__( 'Vimeo', 'milo-bibo' ),
					'tumblr'     => esc_html__( 'Tumblr', 'milo-bibo' ),
					'skype'      => esc_html__( 'Skype', 'milo-bibo' ),
					'linkedin'   => esc_html__( 'LinkedIn', 'milo-bibo' ),
					'googleplus' => esc_html__( 'Google+', 'milo-bibo' ),
					'flickr'     => esc_html__( 'Flickr', 'milo-bibo' ),
					'youtube'    => esc_html__( 'YouTube', 'milo-bibo' ),
					'pinterest'  => esc_html__( 'Pinterest', 'milo-bibo' ),
					'foursquare' => esc_html__( 'Foursquare', 'milo-bibo' ),
					'instagram'  => esc_html__( 'Instagram', 'milo-bibo' ),
					'github'     => esc_html__( 'GitHub', 'milo-bibo' ),
					'xing'       => esc_html__( 'Xing', 'milo-bibo' ),
					'behance'    => esc_html__( 'Behance', 'milo-bibo' ),
					'deviantart' => esc_html__( 'Deviantart', 'milo-bibo' ),
					'soundcloud' => esc_html__( 'SoundCloud', 'milo-bibo' ),
					'yelp'       => esc_html__( 'Yelp', 'milo-bibo' ),
					'rss'        => esc_html__( 'RSS Feed', 'milo-bibo' ),
					'email'      => esc_html__( 'Email address', 'milo-bibo' ),
	            )
            )
        );
        parent::__construct();
    }

    function widget( $args, $instance ) {
        extract( $args, EXTR_SKIP );
		$label        = empty( $instance['label'] ) ? '' : apply_filters( 'widget_label', $instance['label'] );
		$type         = empty( $instance['type'] ) ? '' : apply_filters( 'widget_type', $instance['type'] );
		$icons        = empty( $instance['icons'] ) ? '' : apply_filters( 'widget_icons', $instance['icons'] );
		$widget_id    = $args['widget_id'];
		$social_icons = milo_get_social_icon($icons,'social-profile ' . $type );
	    echo wp_kses_post( $before_widget );
	    ?>
	    <?php if (!empty($label)) : ?>
		    <span><?php echo wp_kses_post($label); ?></span>
		<?php endif; ?>
		    <?php echo wp_kses_post( $social_icons ); ?>
	    <?php
	    echo wp_kses_post( $after_widget );
    }
}
if ( ! function_exists('milo_register_social_profile') ) {
    function milo_register_social_profile() {
        register_widget('Milo_Social_Profile');
    }

    add_action('widgets_init', 'milo_register_social_profile', 1);
}